GNU bug report logs - #42366
UTF8 QR codes vs. emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: notabug; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 6 Aug 2020 13:45:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 09:45:16 2020
Received: from localhost ([127.0.0.1]:53468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3gCp-0007Bj-Tx
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 09:45:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k3gCn-0007BV-KM
 for 42366 <at> debbugs.gnu.org; Thu, 06 Aug 2020 09:45:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51093)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k3gCi-0003cV-68; Thu, 06 Aug 2020 09:45:08 -0400
Received: from [176.228.60.248] (port=2270 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k3gCf-0005sv-G7; Thu, 06 Aug 2020 09:45:08 -0400
Date: Thu, 06 Aug 2020 16:44:59 +0300
Message-Id: <83lfir99d0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-Reply-To: <m2imdw6wbz.fsf@HIDDEN> (message from Robert Pluim on Thu, 06
 Aug 2020 09:57:04 +0200)
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN> <87wo2djhp2.fsf@HIDDEN>
 <834kph9mja.fsf@HIDDEN> <87mu39jg7r.fsf@HIDDEN>
 <83zh79879h.fsf@HIDDEN> <m2pn856rbd.fsf@HIDDEN>
 <83y2mt85mp.fsf@HIDDEN> <83wo2d85gs.fsf@HIDDEN> <m2imdw6wbz.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42366
Cc: larsi@HIDDEN, 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: larsi@HIDDEN,  42366 <at> debbugs.gnu.org,  jidanni@HIDDEN
> Date: Thu, 06 Aug 2020 09:57:04 +0200
> 
>     Eli> To clarify: the original complaint, AFAIU, was about the display in a
>     Eli> GUI frame, in which case the layout is entirely ours.  You are now
>     Eli> saying that the problem is on TTY frames, but there we don't control
>     Eli> the layout at all.
> 
> I donʼt think I said that. The TTY frame layout looks ok, the gui
> frame one has what looks like extra pixels between the characters.

Then I don't think I understand what you are saying when I look at the
screenshots you posted.  When you say "between the characters", do you
mean between two successive lines (i.e., vertically), or do you mean
between two adjacent characters on the same line?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 6 Aug 2020 07:57:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 03:57:15 2020
Received: from localhost ([127.0.0.1]:53063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3am3-0006NR-70
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 03:57:15 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:38225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1k3am0-0006NB-Cx
 for 42366 <at> debbugs.gnu.org; Thu, 06 Aug 2020 03:57:13 -0400
Received: by mail-wr1-f47.google.com with SMTP id a14so43081590wra.5
 for <42366 <at> debbugs.gnu.org>; Thu, 06 Aug 2020 00:57:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=0rJV263T2hz/WOfpGCbJvGe7jdWKhuO7Hj3Q2A6mShw=;
 b=EE9dzXOGNKjfRVpsZp5wPPfVyE9hJfeX6qYU8Lj9L43U4ATrs1RtPy9+dx6XxX6x8C
 ezy1e4U+Y52gQ3LMZPWQUJMWbFDDZdIniprEvxNaeiEUIFcOnij7bkCDs/W2+MCoFkiP
 Jt1+jszTJvQP+hF8OhD5t4Tb+eVTSxbMfr1kCtgDpdrJ4hMX1sUV1SbScj9RM4X93vsq
 hH/bp1GoHCKejNi3jPELv9ar9fncTv+DWsHbctcLmPNOL8bxwws7xfiNFad5bB/q/Jmu
 FnIoc3VFNfUVkeFoGY3xiFga/4GkUuk5m1/MUaOq96gZhcjHS67Xr61ShD3JezX6wueE
 Y1fw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=0rJV263T2hz/WOfpGCbJvGe7jdWKhuO7Hj3Q2A6mShw=;
 b=oKAw9SHREr7Q0bxcVAKj8dpy/mecUM1eJX2mQmIFNjwrMfFvY6HXKVTJa7CSf4HI22
 sb/MBcn2Z79Ky5ZHuf8u08nFV+AueNFQVIdG318VD0VJC7pVUEUL8PWF3mdwRUNfXAtp
 pY/yE02q8qaY3pLcLe1AuiiJfHma88FHLew30PVMuS1VVk5G3aNEkxFrTbvJM/DPQRtp
 RyMmmnLm0L6I9JSVOrUD8aL3rde5vtUdpkLzUdEh/aAqPgoi9O2Uhn4b7ZO2v//xACIm
 1J0Ks222efX21nIKJPCPZzliqv5NlExNTD9VszYfumV3XygYgDrIVDrBMrFsOKZw8Vr0
 xQpQ==
X-Gm-Message-State: AOAM532JRmtnlM0YRSuSH5EPP91+LQ8x3CEwytcl6BRpxnXu8arcXKIo
 pGDO5t/bDsjwPUvl9GOXHIc=
X-Google-Smtp-Source: ABdhPJw0i7AnVM87mq8bzR9GHcSVpQ+4+4NQHvn51ZUa+O4tHKvtFecR4LwOdfLmnrOsPJ3NXyTBUA==
X-Received: by 2002:adf:a4d7:: with SMTP id h23mr6828379wrb.276.1596700626141; 
 Thu, 06 Aug 2020 00:57:06 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:d4b5:52d4:854b:9bd0])
 by smtp.gmail.com with ESMTPSA id p6sm5712695wmg.0.2020.08.06.00.57.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 06 Aug 2020 00:57:05 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN> <87wo2djhp2.fsf@HIDDEN>
 <834kph9mja.fsf@HIDDEN> <87mu39jg7r.fsf@HIDDEN>
 <83zh79879h.fsf@HIDDEN> <m2pn856rbd.fsf@HIDDEN>
 <83y2mt85mp.fsf@HIDDEN> <83wo2d85gs.fsf@HIDDEN>
Date: Thu, 06 Aug 2020 09:57:04 +0200
In-Reply-To: <83wo2d85gs.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 05 Aug
 2020 18:42:11 +0300")
Message-ID: <m2imdw6wbz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42366
Cc: larsi@HIDDEN, 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Wed, 05 Aug 2020 18:42:11 +0300, Eli Zaretskii <eliz@HIDDEN> said:

    >> Date: Wed, 05 Aug 2020 18:38:38 +0300
    >> From: Eli Zaretskii <eliz@HIDDEN>
    >> Cc: larsi@HIDDEN, 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
    >>=20
    >> What exactly is surprising here?  In a TTY frame, Emacs doesn't
    >> control the layout: the terminal emulator does.  Emacs just sends
    >> codes to the terminal device, and that's it.

    Eli> To clarify: the original complaint, AFAIU, was about the display i=
n a
    Eli> GUI frame, in which case the layout is entirely ours.  You are now
    Eli> saying that the problem is on TTY frames, but there we don't contr=
ol
    Eli> the layout at all.

I don=CA=BCt think I said that. The TTY frame layout looks ok, the gui
frame one has what looks like extra pixels between the characters.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 17:47:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 13:47:48 2020
Received: from localhost ([127.0.0.1]:52192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3NW0-0004bg-09
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 13:47:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3NVw-0004XY-2u
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 13:47:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Lhw5x328hHBSxTnRvNNiycazKX6TIhD1Zf7qjuBJ3hM=; b=pvAhMboJV6i35XM4F+Tuvj3jVM
 nVVKDu/B6fy3BJqO7q3ifNvboIrnm3knOlgiIvgATikfOXYEB4fTGb3Jvw23bcEvh9vCY/qaCJMwI
 Za8YPHA7yybAAxR3tiHu3d0TJhZ+aq5h3w84O++kRkpx1fwyGKKgXFxo8jl2mmQP8YR4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3NVm-0007L0-D1; Wed, 05 Aug 2020 19:47:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN> <87wo2djhp2.fsf@HIDDEN>
 <834kph9mja.fsf@HIDDEN> <87mu39jg7r.fsf@HIDDEN>
 <83zh79879h.fsf@HIDDEN>
Date: Wed, 05 Aug 2020 19:47:32 +0200
In-Reply-To: <83zh79879h.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 05 Aug
 2020 18:03:22 +0300")
Message-ID: <87mu39htmz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> > So you are saying
 that your problem with \uNNNN was because you used >> > an incorrect locale?
 IOW, that there's no bug here at all? >> >> Yes. Except for the horizontal
 lines in the X version of [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > So you are saying that your problem with \uNNNN was because you used
>> > an incorrect locale?  IOW, that there's no bug here at all?
>> 
>> Yes.  Except for the horizontal lines in the X version of Emacs.
>
> Can you try other fonts, and see if some of them eliminate the
> problem?  I think this is simply a matter of the shell window and the
> terminal emulator using different fonts.

Yeah, it's probably just a font issue, so I don't think it's worth
investigating any further.  QR codes in Emacs is a rather obscure use
case.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 16:49:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 12:49:46 2020
Received: from localhost ([127.0.0.1]:52101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3Mbp-0000wA-Vx
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 12:49:46 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:38033)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1k3Mbn-0000w1-Fl
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 12:49:44 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4BMHfF41gsz1qsZq;
 Wed,  5 Aug 2020 18:49:41 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4BMHfF22N4z1qspY;
 Wed,  5 Aug 2020 18:49:41 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id ypI-I4nhf9df; Wed,  5 Aug 2020 18:49:40 +0200 (CEST)
X-Auth-Info: aPdonL+cKx4nMfM8j3JRm4pEOVeMc12mt/LtlOPYwEONkmentE9bfHH5nHhnvL6u
Received: from igel.home (ppp-46-244-173-159.dynamic.mnet-online.de
 [46.244.173.159])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Wed,  5 Aug 2020 18:49:40 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id C3B2C2C28C8; Wed,  5 Aug 2020 18:49:39 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN> <87wo2djhp2.fsf@HIDDEN>
 <834kph9mja.fsf@HIDDEN> <87mu39jg7r.fsf@HIDDEN>
 <83zh79879h.fsf@HIDDEN> <m2pn856rbd.fsf@HIDDEN>
X-Yow: They collapsed....  like nuns in the street... they had no teen appeal!
Date: Wed, 05 Aug 2020 18:49:39 +0200
In-Reply-To: <m2pn856rbd.fsf@HIDDEN> (Robert Pluim's message of "Wed, 05
 Aug 2020 17:33:10 +0200")
Message-ID: <87d045javw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42366
Cc: Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Aug 05 2020, Robert Pluim wrote:

> Iʼm not sure about that. On macOS, this is
>
> emacs -Q -font Consolas
>
>
>
>
> And this is the same build, but in a terminal window using Consolas

And as you can see, each program has its own warts.

FWIW, with Liberation Mono, I see perfect lineup.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 15:42:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 11:42:30 2020
Received: from localhost ([127.0.0.1]:52021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3LYk-0003Md-9l
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 11:42:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k3LYg-0003MP-V6
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 11:42:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58810)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k3LYb-0004Fh-As; Wed, 05 Aug 2020 11:42:21 -0400
Received: from [176.228.60.248] (port=4919 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k3LYa-0002he-JD; Wed, 05 Aug 2020 11:42:20 -0400
Date: Wed, 05 Aug 2020 18:42:11 +0300
Message-Id: <83wo2d85gs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rpluim@HIDDEN
In-Reply-To: <83y2mt85mp.fsf@HIDDEN> (message from Eli Zaretskii on Wed, 05
 Aug 2020 18:38:38 +0300)
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN> <87wo2djhp2.fsf@HIDDEN>
 <834kph9mja.fsf@HIDDEN> <87mu39jg7r.fsf@HIDDEN>
 <83zh79879h.fsf@HIDDEN> <m2pn856rbd.fsf@HIDDEN> <83y2mt85mp.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42366
Cc: larsi@HIDDEN, 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 05 Aug 2020 18:38:38 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: larsi@HIDDEN, 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
> 
> What exactly is surprising here?  In a TTY frame, Emacs doesn't
> control the layout: the terminal emulator does.  Emacs just sends
> codes to the terminal device, and that's it.

To clarify: the original complaint, AFAIU, was about the display in a
GUI frame, in which case the layout is entirely ours.  You are now
saying that the problem is on TTY frames, but there we don't control
the layout at all.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 15:38:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 11:38:57 2020
Received: from localhost ([127.0.0.1]:52017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3LVI-0003HI-Py
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 11:38:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k3LVG-0003H4-69
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 11:38:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58778)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k3LVA-0003jO-HE; Wed, 05 Aug 2020 11:38:48 -0400
Received: from [176.228.60.248] (port=4700 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k3LV9-0002La-Tc; Wed, 05 Aug 2020 11:38:48 -0400
Date: Wed, 05 Aug 2020 18:38:38 +0300
Message-Id: <83y2mt85mp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-Reply-To: <m2pn856rbd.fsf@HIDDEN> (message from Robert Pluim on Wed, 05
 Aug 2020 17:33:10 +0200)
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN> <87wo2djhp2.fsf@HIDDEN>
 <834kph9mja.fsf@HIDDEN> <87mu39jg7r.fsf@HIDDEN>
 <83zh79879h.fsf@HIDDEN> <m2pn856rbd.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42366
Cc: larsi@HIDDEN, 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  42366 <at> debbugs.gnu.org,
>   jidanni@HIDDEN
> Date: Wed, 05 Aug 2020 17:33:10 +0200
> 
> 
> [1:text/plain Hide]
> 
> And this is the same build, but in a terminal window using Consolas

What exactly is surprising here?  In a TTY frame, Emacs doesn't
control the layout: the terminal emulator does.  Emacs just sends
codes to the terminal device, and that's it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 15:33:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 11:33:21 2020
Received: from localhost ([127.0.0.1]:51997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3LPt-00038H-CT
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 11:33:21 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:43730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1k3LPr-000384-IT
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 11:33:20 -0400
Received: by mail-wr1-f47.google.com with SMTP id a15so41110329wrh.10
 for <42366 <at> debbugs.gnu.org>; Wed, 05 Aug 2020 08:33:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=HYeZPQoGWkPgbmOpqTwP+YoaP+mlrtYlzOraFy+ASlw=;
 b=Ser6zfPL/hTrePWFHeljw4/KrXIgaoKX4rxpI+stnNGr6YWulsIIFgpiBbj+xvnR1E
 0ynkRFmPe4uDSmkjbFQGFKMuO9soiu/mY1boVXqQOd7YI+r9GGt/jagrPIZ/G75MqTkm
 uPlQnrLlKHG8M/FoSyULhbcSSGmStgbICQ82sDgVu9UaRdKn5uKyet3To78MKyqLVKfl
 mZRWP7xs16nHTpsBZVwheJ4NhrcCoxvdxqy0oMP4xD89knu9feV6zMm5jLLT7UdawGOS
 zFpfuku/wrDEV7Qb7jO+8g9WDgc1tbUqWKwRgAKd6E4l3B4drZEAMmFXLQZuDlS9dYNj
 /HtA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=HYeZPQoGWkPgbmOpqTwP+YoaP+mlrtYlzOraFy+ASlw=;
 b=GiQZA4t4DTL1IBAb+YKSX7erZydRdVLQekJyUN9asL7rTS5nEjfKOG2LDswISap/rU
 /y9kCLGDYjs5KWEzL7MPKX53th4YH4oCYuIhXKuh8boYfIYT3jhKGqYEUwaUGllCB5O5
 Gs/etB03Vn+xZG5lLZo2+sy9TcFUBjwPcg5xcpiXIJNs+B7X2MbAeqyf7dx49MuVqk6l
 tbd2zB6qC5qGhTbC+/2odnPtZED+m3unPpTmzP1NdOnWPlpChFqKCA6SdiRB44RxRed6
 ympz+kTsBDgWIOfgK1UHjQ13ZLeAwSVCdu3FLnGlf/XbiS6uBvhkw5rEj5rH0dUnDURa
 4N/A==
X-Gm-Message-State: AOAM531w1FYJAuY+g4AbOfvSMD+m1CPC7nzfIPKrJpWgTSmD318p/luV
 w1EJhm/c76ca4gPRc52pgFI=
X-Google-Smtp-Source: ABdhPJwFP9ul5FKWAMkxaxtKQDf7KW4xgcsoVAOx4w/0xSPMd01lxYKO1OPo4OCwOgwAfYntaM+FCg==
X-Received: by 2002:a5d:42c2:: with SMTP id t2mr3263381wrr.396.1596641593395; 
 Wed, 05 Aug 2020 08:33:13 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:3470:1d6f:6c6e:fbe4])
 by smtp.gmail.com with ESMTPSA id 69sm3527927wmb.8.2020.08.05.08.33.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 05 Aug 2020 08:33:12 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN> <87wo2djhp2.fsf@HIDDEN>
 <834kph9mja.fsf@HIDDEN> <87mu39jg7r.fsf@HIDDEN>
 <83zh79879h.fsf@HIDDEN>
Date: Wed, 05 Aug 2020 17:33:10 +0200
In-Reply-To: <83zh79879h.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 05 Aug
 2020 18:03:22 +0300")
Message-ID: <m2pn856rbd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42366
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 42366 <at> debbugs.gnu.org,
 jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>>>>> On Wed, 05 Aug 2020 18:03:22 +0300, Eli Zaretskii <eliz@HIDDEN> said:
    >> Yes.  Except for the horizontal lines in the X version of Emacs.

    Eli> Can you try other fonts, and see if some of them eliminate the
    Eli> problem?  I think this is simply a matter of the shell window and =
the
    Eli> terminal emulator using different fonts.

I=CA=BCm not sure about that. On macOS, this is

emacs -Q -font Consolas


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=emacs-consolas.png
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


And this is the same build, but in a terminal window using Consolas


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=emacs-nw-consolas.png
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


In the gui version, the cursor looks like it extends 1 pixel below
each component character, whilst in the '-nw' on the bottom of the
cursor lines up exactly.

If I use something else like Menlo, there are horizontal white lines,
but the cursor lines up with the bottom of the characters.

Robert

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 15:03:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 11:03:43 2020
Received: from localhost ([127.0.0.1]:51952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3KxC-00008b-Vd
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 11:03:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k3Kx8-00008L-Cp
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 11:03:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58205)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k3Kx2-0005EX-FG; Wed, 05 Aug 2020 11:03:32 -0400
Received: from [176.228.60.248] (port=2526 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k3Kx1-0004h2-QP; Wed, 05 Aug 2020 11:03:32 -0400
Date: Wed, 05 Aug 2020 18:03:22 +0300
Message-Id: <83zh79879h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87mu39jg7r.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 05 Aug 2020 16:54:32 +0200)
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN> <87wo2djhp2.fsf@HIDDEN>
 <834kph9mja.fsf@HIDDEN> <87mu39jg7r.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: jidanni@HIDDEN,  42366 <at> debbugs.gnu.org
> Date: Wed, 05 Aug 2020 16:54:32 +0200
> 
> > Can you redirect the output to a file?
> 
> Sure, it's just a bunch of UTF-8.  I guess I could also just include the
> data here:

Thanks.  FWIW, with the default font my Emacs uses, I see no lines.

> > So you are saying that your problem with \uNNNN was because you used
> > an incorrect locale?  IOW, that there's no bug here at all?
> 
> Yes.  Except for the horizontal lines in the X version of Emacs.

Can you try other fonts, and see if some of them eliminate the
problem?  I think this is simply a matter of the shell window and the
terminal emulator using different fonts.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 14:54:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 10:54:45 2020
Received: from localhost ([127.0.0.1]:51944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3KoW-00069s-Oc
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 10:54:44 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3KoU-00069f-OK
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 10:54:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/viVJxwpsxXEdtEPtFwD59yvvr61Jsl6V9H5SOuyWBE=; b=UXUkh3Pr/2PL3vZIe/0rEM999H
 PR0JzOhmLzCPgulWLCT9keC60dqx+7mkzvmOITHaq+Hh/zQWrS9eqNw1wplseSMfj5x2CI72Rbcmv
 z/7VpqPo77KlJ2ydimONFjrusftsDJx0s7DwtAKMyG+h+CxDjAuoH9TZyRlSrTsqutIo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3KoL-0005uA-I0; Wed, 05 Aug 2020 16:54:36 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN> <87wo2djhp2.fsf@HIDDEN>
 <834kph9mja.fsf@HIDDEN>
Date: Wed, 05 Aug 2020 16:54:32 +0200
In-Reply-To: <834kph9mja.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 05 Aug
 2020 17:48:09 +0300")
Message-ID: <87mu39jg7r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> There's no file --
 it's just the output from the qrencode command. > > Can you redirect the
 output to a file? Sure, it's just a bunch of UTF-8. I guess I could also just
 include the data here: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

RWxpIFphcmV0c2tpaSA8ZWxpekBnbnUub3JnPiB3cml0ZXM6DQoNCj4+IFRoZXJlJ3Mgbm8gZmls
ZSAtLSBpdCdzIGp1c3QgdGhlIG91dHB1dCBmcm9tIHRoZSBxcmVuY29kZSBjb21tYW5kLg0KPg0K
PiBDYW4geW91IHJlZGlyZWN0IHRoZSBvdXRwdXQgdG8gYSBmaWxlPw0KDQpTdXJlLCBpdCdzIGp1
c3QgYSBidW5jaCBvZiBVVEYtOC4gIEkgZ3Vlc3MgSSBjb3VsZCBhbHNvIGp1c3QgaW5jbHVkZSB0
aGUNCmRhdGEgaGVyZToNCg0K4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI
4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paIDQrilojiloji
lojilojilojilojilojilojilojilojilojilojilojilojilojilojilojilojilojilojiloji
lojilojilojilojilojilojilojilogNCuKWiOKWiOKWiOKWiCDiloTiloTiloTiloTiloQg4paI
4paAIOKWiCDiloTilogg4paE4paE4paE4paE4paEIOKWiOKWiOKWiOKWiA0K4paI4paI4paI4paI
IOKWiCAgIOKWiCDilojiloQg4paI4paA4paE4paIIOKWiCAgIOKWiCDilojilojilojilogNCuKW
iOKWiOKWiOKWiCDilojiloTiloTiloTilogg4paIIOKWiOKWiOKWgCDilogg4paI4paE4paE4paE
4paIIOKWiOKWiOKWiOKWiA0K4paI4paI4paI4paI4paE4paE4paE4paE4paE4paE4paE4paIIOKW
gCDiloAg4paI4paE4paE4paE4paE4paE4paE4paE4paI4paI4paI4paIDQrilojilojilojilogg
IOKWgOKWhOKWgOKWgOKWhCDilogg4paE4paI4paI4paIIOKWhOKWhOKWiCAg4paI4paI4paI4paI
4paIDQrilojilojilojilojilojilogg4paEIOKWhOKWhOKWgOKWhOKWiOKWhOKWgOKWhOKWhOKW
iOKWiOKWiOKWgOKWgCAg4paI4paI4paI4paIDQrilojilojilojilojiloTiloTiloTiloTiloTi
loTiloTiloggIOKWgOKWgOKWhOKWiOKWhOKWgCDiloDiloTiloDiloDilojilojilojilogNCuKW
iOKWiOKWiOKWiCDiloTiloTiloTiloTiloQg4paI4paE4paE4paI4paA4paAIOKWiCDiloDiloDi
loTiloTilojilojilojilojilogNCuKWiOKWiOKWiOKWiCDiloggICDilogg4paI4paA4paE4paE
IOKWiOKWiOKWhOKWhOKWhCAgICDilojilojilojilogNCuKWiOKWiOKWiOKWiCDilojiloTiloTi
loTilogg4paI4paA4paIIOKWiOKWhOKWgOKWgOKWiCDilojiloDilojiloTilojilojilojilogN
CuKWiOKWiOKWiOKWiOKWhOKWhOKWhOKWhOKWhOKWhOKWhOKWiOKWhOKWiOKWhOKWhOKWhOKWiOKW
iOKWiOKWhOKWhOKWhOKWhOKWiOKWiOKWiOKWiOKWiA0K4paI4paI4paI4paI4paI4paI4paI4paI
4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI
4paI4paIDQrilojilojilojilojilojilojilojilojilojilojilojilojilojilojilojiloji
lojilojilojilojilojilojilojilojilojilojilojilojilogNCg0KSSd2ZSBhbHNvIGluY2x1
ZGVkIGFzIGFuIGF0dGFjaG1lbnQsIGluIGNhc2UgdGhhdCBkb2Vzbid0IHdvcmssIGZvciBzb21l
DQpyZWFzb24uDQoNCj4gU28geW91IGFyZSBzYXlpbmcgdGhhdCB5b3VyIHByb2JsZW0gd2l0aCBc
dU5OTk4gd2FzIGJlY2F1c2UgeW91IHVzZWQNCj4gYW4gaW5jb3JyZWN0IGxvY2FsZT8gIElPVywg
dGhhdCB0aGVyZSdzIG5vIGJ1ZyBoZXJlIGF0IGFsbD8NCg0KWWVzLiAgRXhjZXB0IGZvciB0aGUg
aG9yaXpvbnRhbCBsaW5lcyBpbiB0aGUgWCB2ZXJzaW9uIG9mIEVtYWNzLg0KDQotLSANCihkb21l
c3RpYyBwZXRzIG9ubHksIHRoZSBhbnRpZG90ZSBmb3Igb3ZlcmRvc2UsIG1pbGsuKQ0KICAgYmxv
Z2d5IGJsb2c6IGh0dHA6Ly9sYXJzLmluZ2VicmlndHNlbi5ubw0K
--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename=qr.bin
Content-Transfer-Encoding: base64

4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI
4paI4paI4paI4paI4paI4paI4paI4paI4paI4paIDQrilojilojilojilojilojilojilojiloji
lojilojilojilojilojilojilojilojilojilojilojilojilojilojilojilojilojilojiloji
lojilogNCuKWiOKWiOKWiOKWiCDiloTiloTiloTiloTiloQg4paI4paAIOKWiCDiloTilogg4paE
4paE4paE4paE4paEIOKWiOKWiOKWiOKWiA0K4paI4paI4paI4paIIOKWiCAgIOKWiCDilojiloQg
4paI4paA4paE4paIIOKWiCAgIOKWiCDilojilojilojilogNCuKWiOKWiOKWiOKWiCDilojiloTi
loTiloTilogg4paIIOKWiOKWiOKWgCDilogg4paI4paE4paE4paE4paIIOKWiOKWiOKWiOKWiA0K
4paI4paI4paI4paI4paE4paE4paE4paE4paE4paE4paE4paIIOKWgCDiloAg4paI4paE4paE4paE
4paE4paE4paE4paE4paI4paI4paI4paIDQrilojilojilojiloggIOKWgOKWhOKWgOKWgOKWhCDi
logg4paE4paI4paI4paIIOKWhOKWhOKWiCAg4paI4paI4paI4paI4paIDQrilojilojilojiloji
lojilogg4paEIOKWhOKWhOKWgOKWhOKWiOKWhOKWgOKWhOKWhOKWiOKWiOKWiOKWgOKWgCAg4paI
4paI4paI4paIDQrilojilojilojilojiloTiloTiloTiloTiloTiloTiloTiloggIOKWgOKWgOKW
hOKWiOKWhOKWgCDiloDiloTiloDiloDilojilojilojilogNCuKWiOKWiOKWiOKWiCDiloTiloTi
loTiloTiloQg4paI4paE4paE4paI4paA4paAIOKWiCDiloDiloDiloTiloTilojilojilojiloji
logNCuKWiOKWiOKWiOKWiCDiloggICDilogg4paI4paA4paE4paEIOKWiOKWiOKWhOKWhOKWhCAg
ICDilojilojilojilogNCuKWiOKWiOKWiOKWiCDilojiloTiloTiloTilogg4paI4paA4paIIOKW
iOKWhOKWgOKWgOKWiCDilojiloDilojiloTilojilojilojilogNCuKWiOKWiOKWiOKWiOKWhOKW
hOKWhOKWhOKWhOKWhOKWhOKWiOKWhOKWiOKWhOKWhOKWhOKWiOKWiOKWiOKWhOKWhOKWhOKWhOKW
iOKWiOKWiOKWiOKWiA0K4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI
4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paI4paIDQrilojilojiloji
lojilojilojilojilojilojilojilojilojilojilojilojilojilojilojilojilojilojiloji
lojilojilojilojilojilojilogNCg==
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 14:48:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 10:48:28 2020
Received: from localhost ([127.0.0.1]:51926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3KiS-0005zk-AW
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 10:48:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k3KiP-0005zW-2p
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 10:48:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57858)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k3KiJ-00038P-G6; Wed, 05 Aug 2020 10:48:19 -0400
Received: from [176.228.60.248] (port=1579 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k3KiI-00018j-NR; Wed, 05 Aug 2020 10:48:19 -0400
Date: Wed, 05 Aug 2020 17:48:09 +0300
Message-Id: <834kph9mja.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87wo2djhp2.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 05 Aug 2020 16:22:33 +0200)
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN> <87wo2djhp2.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: jidanni@HIDDEN,  42366 <at> debbugs.gnu.org
> Date: Wed, 05 Aug 2020 16:22:33 +0200
> 
> > Can you send the file itself?
> 
> There's no file -- it's just the output from the qrencode command.

Can you redirect the output to a file?

> And besides, a QR Code isn't supposed to have horizontal lines like
> that.

As Andreas says, this depends on the font.  Some fonts leave a pixel
between this line and the next when they design these "characters".

> > Hmm... shell-mode?  Now I'm beginning to think I don't really
> > understand what are the steps to reproduce the problem, and what is
> > their meaning (jidanni needs to learn how to report bugs clearly).
> > Would you please describe the steps, starting from "emacs -Q"?
> 
> There's not much to it: Run the qrencode program:
> 
> $ qrencode -t UTF8 x

So you are saying that your problem with \uNNNN was because you used
an incorrect locale?  IOW, that there's no bug here at all?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 14:22:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 10:22:47 2020
Received: from localhost ([127.0.0.1]:51911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3KJa-0005Oe-OX
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 10:22:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3KJY-0005OQ-QP
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 10:22:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=UjoJnykFIGKB7xTtYWn4rJovtwynuP2vpW65lQ+5XKg=; b=baZ6cTWBcRbslc5Wz62ogdj4OS
 wPSAB8ufCS8M7ZmabbeR/TePJ743hodDshr5+lksQsCoTIqeaZAfE8gnuBPDmss7vnb5qfFkJlgBF
 TXLJCYNirUtpZvGmIWN8l/qpX6sjWrZkWtq4bcLjqPHPla3Ke7x2nk2l3BNHPaDFM1ZM=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3KJP-0005dZ-A0; Wed, 05 Aug 2020 16:22:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <83a6z99nv3.fsf@HIDDEN>
Date: Wed, 05 Aug 2020 16:22:33 +0200
In-Reply-To: <83a6z99nv3.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 05 Aug
 2020 17:19:28 +0300")
Message-ID: <87wo2djhp2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> From: Lars
 Ingebrigtsen <larsi@HIDDEN> >> Date: Wed,
 05 Aug 2020 12:26:55 +0200 >> Cc: 42366 <at> debbugs.gnu.org
 >> >> > Compare how >> > $ qrencode -t UTF8 x >> > looks in >> > $ emacs
 -nw -f shell [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Date: Wed, 05 Aug 2020 12:26:55 +0200
>> Cc: 42366 <at> debbugs.gnu.org
>> 
>> > Compare how
>> > $ qrencode -t UTF8 x
>> > looks in
>> > $ emacs -nw -f shell # vs.
>> > $ emacs     -f shell
>> >
>> > As you can see in the latter it is quite mangled,
>> > perhaps beyond machine recognition.
>> 
>> It's not good in any case, really.  Here's the X version:
>
> Can you send the file itself?

There's no file -- it's just the output from the qrencode command.

>> Note the horizontal lines -- it should be a solid white field.
>
> How do you know that?

Because that's how it displays in the shell:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain



And besides, a QR Code isn't supposed to have horizontal lines like
that.

> Hmm... shell-mode?  Now I'm beginning to think I don't really
> understand what are the steps to reproduce the problem, and what is
> their meaning (jidanni needs to learn how to report bugs clearly).
> Would you please describe the steps, starting from "emacs -Q"?

There's not much to it: Run the qrencode program:

$ qrencode -t UTF8 x

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 14:20:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 10:20:03 2020
Received: from localhost ([127.0.0.1]:51907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3KGu-0005KD-0B
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 10:20:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k3KGd-0005Jm-Fr
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 10:19:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57519)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k3KGX-0008N9-Iv; Wed, 05 Aug 2020 10:19:37 -0400
Received: from [176.228.60.248] (port=3799 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k3KGW-0004nh-Sk; Wed, 05 Aug 2020 10:19:37 -0400
Date: Wed, 05 Aug 2020 17:19:28 +0300
Message-Id: <83a6z99nv3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <875z9xcrrk.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 05 Aug 2020 12:26:55 +0200)
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 05 Aug 2020 12:26:55 +0200
> Cc: 42366 <at> debbugs.gnu.org
> 
> > Compare how
> > $ qrencode -t UTF8 x
> > looks in
> > $ emacs -nw -f shell # vs.
> > $ emacs     -f shell
> >
> > As you can see in the latter it is quite mangled,
> > perhaps beyond machine recognition.
> 
> It's not good in any case, really.  Here's the X version:

Can you send the file itself?

> Note the horizontal lines -- it should be a solid white field.

How do you know that?

> And with -nw it's just a complete mess:

No, it isn't...

> I guess...  it's translating all the Unicode characters instead of just
> letting the terminal render them?  The terminal does have these
> characters; when running the program directly in the shell everything
> works fine.

That's what happens when Emacs thinks your terminal cannot display
these characters.  What does 'terminal-coding-system' return on that
display?

> Does anybody know how to make shell-mode (under -nw) just output the
> characters?

Hmm... shell-mode?  Now I'm beginning to think I don't really
understand what are the steps to reproduce the problem, and what is
their meaning (jidanni needs to learn how to report bugs clearly).
Would you please describe the steps, starting from "emacs -Q"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.
bug closed, send any further explanations to 42366 <at> debbugs.gnu.org and 積丹尼 Dan Jacobson <jidanni@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 10:53:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 06:53:19 2020
Received: from localhost ([127.0.0.1]:50071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3H2t-0003GK-Bb
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 06:53:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3H2r-0003Fy-IP
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 06:53:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=OPQ5tN5ID1VTDTKhN9XGkVTMrFijThkDRU/etMQbQXU=; b=KpHVDJWiY/EZZxEZVaqLkuCdcp
 AxmisiPQ04TqtK72yQa8EOGJfF/yLxhHJlLNvSpl6ZtV9TDK8elhVYyhTOcm+BujLX7r3yhMI6D42
 sjjENxiFI1N11C/Rz4TGxiwRfny67AizSDiRlR0ThEDchDTFB6G6d8LuZOt7XDZlvjoY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3H2j-0003ly-0W; Wed, 05 Aug 2020 12:53:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
 <87lfitjrrs.fsf@HIDDEN>
Date: Wed, 05 Aug 2020 12:53:07 +0200
In-Reply-To: <87lfitjrrs.fsf@HIDDEN> (Andreas Schwab's message of "Wed, 05
 Aug 2020 12:44:55 +0200")
Message-ID: <87k0ydbbzg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andreas Schwab <schwab@HIDDEN> writes: > On Aug 05
 2020, Lars Ingebrigtsen wrote: > >> Note the horizontal lines -- it should
 be a solid white field. > > That's just a matter of using a proper font. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org,
 =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

> On Aug 05 2020, Lars Ingebrigtsen wrote:
>
>> Note the horizontal lines -- it should be a solid white field.
>
> That's just a matter of using a proper font.

Emacs doesn't select the proper font automatically here, which it should?

>> Does anybody know how to make shell-mode (under -nw) just output the
>> characters?
>
> Worksforme.  Try using a UTF-8 environment.

Oh, yeah.  With emacs -Q this works fine for me under Emacs -nw.  So I
don't think there's any bugs here, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 10:45:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 06:45:01 2020
Received: from localhost ([127.0.0.1]:50010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3Gur-000316-Eq
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 06:45:01 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:53271)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1k3Guo-00030v-UT
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 06:44:59 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4BM7YP20Z7z1qs3X;
 Wed,  5 Aug 2020 12:44:57 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4BM7YP0B2Zz1qyX0;
 Wed,  5 Aug 2020 12:44:57 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id 4gpYI58u7nNI; Wed,  5 Aug 2020 12:44:56 +0200 (CEST)
X-Auth-Info: ON7LE7Fl+JnsiR4Ov788EPwSqqY2LXEumXbbBO/K/TW4Sz3WGAeQnzqyOsYBAnqT
Received: from igel.home (ppp-46-244-173-159.dynamic.mnet-online.de
 [46.244.173.159])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Wed,  5 Aug 2020 12:44:56 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id AF0722C25BC; Wed,  5 Aug 2020 12:44:55 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <875z9xcrrk.fsf@HIDDEN>
X-Yow: I have a TINY BOWL in my HEAD
Date: Wed, 05 Aug 2020 12:44:55 +0200
In-Reply-To: <875z9xcrrk.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 05 Aug 2020 12:26:55 +0200")
Message-ID: <87lfitjrrs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org,
 =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Aug 05 2020, Lars Ingebrigtsen wrote:

> Note the horizontal lines -- it should be a solid white field.

That's just a matter of using a proper font.

> Does anybody know how to make shell-mode (under -nw) just output the
> characters?

Worksforme.  Try using a UTF-8 environment.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 5 Aug 2020 10:27:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 06:27:13 2020
Received: from localhost ([127.0.0.1]:49894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3Gdd-0002Uc-9q
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 06:27:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3Gdb-0002UO-Ez
 for 42366 <at> debbugs.gnu.org; Wed, 05 Aug 2020 06:27:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=sq3bfsLdmmwYzjQPGr+0uOs0Oo2wQj4kYYPzJyzf8jI=; b=OUzwOk2s3divCzQd5stn7w56pI
 FEsixgXwV3vIHbVbGx7811HvATAULP0twCeIhwPIQ9UDl8SuBW/XHH7a0bqAhsOoiyy+7QB7BP1/T
 PANQQF9udYJUZkUz5YI+5owRLFrxnWsHvg3GTbxitOZQS3TUne6So51VfxDqjuLcKhGQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3GdO-0003Ym-GB; Wed, 05 Aug 2020 12:27:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN>
Date: Wed, 05 Aug 2020 12:26:55 +0200
In-Reply-To: <87pn8wx3k2.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Wed, 15 Jul 2020 22:20:45 +0800")
Message-ID: <875z9xcrrk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > Compare
    how > $ qrencode -t UTF8 x > looks in > $ emacs -nw -f shell # vs. > $ emacs
    -f shell > > As you can see in the latter it is quite mangled, > perhaps
   beyond machine recognition. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> Compare how
> $ qrencode -t UTF8 x
> looks in
> $ emacs -nw -f shell # vs.
> $ emacs     -f shell
>
> As you can see in the latter it is quite mangled,
> perhaps beyond machine recognition.

It's not good in any case, really.  Here's the X version:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64

iVBORw0KGgoAAAANSUhEUgAABFgAAAMGCAIAAABJQqf7AAAABGdBTUEAALGPC/xhBQAAACBjSFJN
AAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAABmJLR0QA/wD/AP+gvaeTAAAA
EGNhTnYAAA8AAAAIcAAAAAYAAADgyZwHowAAWLdJREFUeNrt3Xl8XFXdP/Bvm5RSbLolSEilUIhA
UaFgRZYWsGgFRIwIbuAjAgq8ABcWd3FXeER9FFQWURCBIkoU5Hn4gYALFEopUKBQKZW1UKC1tCRp
QtL290fGzGQySZPMpE1z3u9XXpBO7py5871n7sxn7rnnRk1NTU1NTQAAACRjuBIAAACpEYQAAIDk
CEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACSnSxBqaIj16wv/vPnN6pU1e3amLIsWKQbApveN
b2TfsN7whlK2fPPN3gTpk1deeWV9jssvv1xNKN7YsWMPOeSQU0455ctf/vIZZ5xx7LHH7rrrrsOG
DVOZ/su/oKog1EuC0Oalri7bk+vq1ENNbJ0haKCD0O67qzG9JAhtEm1tbbll/+1vf1twsTe/+c3r
O/vsZz/b/qdDDjlkfX/deeeduY9y7rnn9qORN3fzYXv33Xf//e9/n/cE2y1ZsuTUU08tKyvTAfqh
PP+Gf/wjRo3K/nPrrWO33ZSJzd7ZZ2d+efzxuOEG9VCTIbV1Tj45qqsjIhYtitmzFW+g+NoVemGf
ffY55JBDcm/56U9/+u9//1tl+u2kk0766U9/usUWWxT864477njhhRd+8IMffP/736/OfdUlCB16
aKd/HnVUXHedMpXeqFFRVxfvfnfsuWdsv3287nWxenUsXRp//WtcfXXcc48KldL06bHffpnfzz8/
1q1TEjUZUlvn5JNjjz0iIv70J0FoAA13Vi1s2D777PP1r38995bf/va3PqD32wc/+MFf/OIXGxz/
dsABB9x4440HHXRQa2urovVeuRL009VXx4MPRkSsWNG3O44YEZ/7XHzxizF+fKfbJ0yICRPiLW+J
00+P66+PE06IV15R5tL4/OczvyxbFr/5jXqoia1D37SPORGEgI2roqLiwgsv7OVZQPvtt98pp5zy
05/+VN16TxDqrxtu6M9ookmT4vrr461vzd6yenU891y8+GKMHRtvelOMHBkRceSRseuu8Y53xEsv
qXSxdt01Dj888/tPfxotLUqiJrYOG/amN8XHPx4HHxy77BKve11ExD33xKuvxtNPx0MPxR13xO23
xzPPqBMMJW1tbY2NjV1vf137TuA/WltbX3vttbxlmpqaSr4+H/rQh7beeuvcW+bPn3/OOec8/PDD
VVVV73vf+770pS/lDpn79Kc/LQj1Tf5kCXmOOspkCSVTWxtLl2aKuXZt/OpXceCBnQadv+51cfrp
8cormWX+3//zBWQJ/OpXmXquXh3jxqmHmgzBrfPgg5m7/PGPSZeuVJMljBkTV1wR69Z1O3VQx8/H
PqbDUlDKkyV89rOfzTubv7a2duM8dPGTJRQ0bty4vOXPP//8Da5M18kSqqqq+vqMrr322twWHnnk
kbwzhY499ti8R9lhhx28AHvP5+yNpaIibr452jPnE0/E9Olx/PHxt7/F+vXZZRob44ILYsaMaB9K
O2tWfOADKleUmpo45pjM75dearShmtg6bMDo0XHbbfFf/5X5lmrZsvjTn+L55yMibr45brut03Do
9mP4AANj0qRJuf8877zz8o5E/fa3v3366ad7uAs9G/ihcWPGxFveErvsEpWVMWJELF8eL70Ud98d
L75YbMtbbhkHHBBTpsTo0fHKK/HQQ3H33dHW1tNdttoq9torpkyJ8eNjxIjMIIeFC+OJJwa8Dued
FzvtFBHx5JNxwAHxwgvdLvnww3HKKXHttRERZ5wx4JNVjBwZ06fH5MlRVRVr1sSLL8bdd0fnF9Vm
7LOfjfbvTlpb48c/7u29Bqif9KPHths+PPbaK3bdNaqqYqutYuXKePTRmDcv+ncUvn81iYiJE2Pf
faO6Oioq4t//jn/9K/7xj2hu7u3d99wzDjgg1q+Pe+/tNB3IQQfFnntmbp8zZ6PuT4os7ED0k35v
nYHQ7x5bEsOGxT77xC67RHV1rF6defS1awf8cb/znZg2LSJi/fo4++z4yU+irS3zNdbZZ8cjj2Q6
87HHxvHHb4QyDB8+fP/9958yZcr48eOfe+65u++++1//+lcJG99333332GOP8ePHNzY2PvbYY3fe
eWfBcUEdtthii/3222/y5Mlbb731unXrli9fvnjx4nvvvbd/52cPGzas/dlVVla++OKLf/vb3/r6
7Lbeeuv99tuvurp6woQJr7322ssvv/zwww8//PDDbb3rqFtuueX06dN32GGHqqqqpqamF198cd68
eX1ah7e97W2777771ltv/cILL9x1111P9PflX9rCMmSMHj0695+PPvpo12UWLVq0/fbbd3cXNmCg
hsbV1sZXvxpz50ZbW4HhBOvWxbx5ceSRvWrqDW/I3vG009p3GPH1r2eHkHX8LFsWZ5xRuJFtt43L
Luv2KknPPx8XX9zTE9xhh26HRvTmOkIzZmRGWTQ0ZOJQz4YNi8ceyxSqY06Fz3wm+6DdPc12EyfG
yy9nlly8OMaMKbxYdXVcemk0NhZ4UgsWxBFHbPade8yYWLUq84yuuKJXdymyn5Swx7abNCkuuihW
riywMo2NcfXVseeeA16TiDjyyJg/v/A6XHhhdB6+nLV8eWaxgw+OSy7pdMff/S5GjIjx4zMHRTt+
/vznwl+xl3B/UpLClqSf9Hvr5A4A6+VPz1PJFdNjDzkk+9d99un2Ib7znexi5V2+gOvayNFHxz//
mf/o//pXzJrV0xPpzdC4gw/Obrhnn41dd+301622ijVrMn+94ILs7QUvqFpRETkfPgbCkUce+cwz
z+QOelm7du211147duzY6PXgq7POOqvgyJljjjnm2WefzfvTmjVrLrzwwoLt7LTTTldeeWVDQ0PX
y5g0NjZefvnlPQx/uvnmm3OXf/DBByNi//33f/jhh/Oauu6668b1YkTo8OHDP/zhD993333r1q3r
uj4rVqz41a9+tUf7VIrd2HHHHa+66qqmpqaud3/00Uf/67/+a/iGhqYffvjhTzzxRN7Wufrqqysq
KqIvQ+OKKewg8dxzz/Xjgjk9j0brn6E3NO7222/PbWFWoX3gfffdl7vM2972ttJWtbKysusm/sIX
vtC1SsuXL98IW7nEBioILVvWq7fnG2+MLbfcQFN5b9KjR8edd/bUZlf77FP4E0/ez7nndrsORQah
W2/NLNwxGdQGnX9+5i65nf666zI3vvZavP3the9YVhZ//WtmsTVrYurUwovtv3+BTzl5P7/+dfT+
+lx//GOn+5b2aob98/nP9633Ft9PStVj251ySrS0bHh9+nSRx77WZMyYzEfAHn6WLSscGzqC0G23
FbjXOefEn/5U4Pbvfndg9yfFF7ZU/aTfW2egg1CfeuxABKEenuBrr+Vf46G7yhTcBb33vdHcnP2S
qGuMecc7si3k7jwLBqEB9uUvf7m7T5ALFiwYN25cMUHo/PPP767x5cuXd23k05/+9Guvvdbz59rX
XnvtlFNOKbgOXYPQ9OnTGxsbC7Yzd+7cESNG9FCZmpqae+65pzcftbvLQp/85CdbWlo2eHHMysrK
7tbhC1/4Qg9bZ+zYsb3cOkUWdpAQhAoqSRD6/ve/n9vCD3/4w7wFJk6cuGbNmtzwPCr3cqAl8o53
vGPt2rW5a7J69erXv/71ucv8+Mc/znu+N99887BBf/m1gR8a19ISjzwSjzwSK1bEmjUxZkxMmRIH
HJAZ/nH44fHHP8ahh/b0cTDPr38d+++f+X3lynjuuWhpiW22ie22K7z8+PFxww3Zc46ffz5uvTWe
fDJaWmLs2Nh559h339h22w08aHNz/O1vnW7ZbbduvwjPs+OOcfDBERHPPFNgrEt5ebz//fGe98QO
O0RrayxcGL/5Tdx/f3Qc/cztZyecEFOnRm1tjBgRs2fHnnsWOIXgnHPiwAMzv59+emaO7zy77x63
3BJbbZX55yuvxM03x9NPx+jRsd9+2Q+1xx0XbW3xyU8O8k5c2BZbxGc+k/n9f/83M6ClByXpJyXp
se2++9348pez/2xoiDvuiCefjMbGqKqKvfaKvfbKnMPQzRXWSlCTMWPi73+Pjk8Sra3xj3/EQw/F
mjWx7bbxjndkPkdus03cfnvsuWc89VThdmbOjAceiPr6qK6O44/PZJWvfCW22CKefz6uvDLa2uK4
42LixIiIT30qzjmn2xFQxe9PiizswPWT3m+dp57K3x1Nm5aZ1mzFisJ3LDSaosQ9tlQOOyy+9rXM
DvMf/4jVq2P77WPmzEy3GTEiLrkkdt451qzpc8sf/nBceWUmhj38cMyaFcuW5S/Tfl3ads89twl3
YEccccR3C34pkNmF737eeef1u/Gjjz76zDPP7P3y3/rWt77WvlF6NGLEiJ///Odjx449d0PfAgwb
NuyCCy7YquM9qLO999771FNP/Z//+Z+Cf91hhx3uvPPOie27i16sUtcbzzzzzN58it1///3vuuuu
/fbbr+sFcI444ogenuPuu+/+85//fJMUlqHn17/+9VlnnVX+n++PTj/99Ntvv/2mm25q/+eECRMu
v/zyLXO+AbzqqqvW9GP3uCF33HHHueee++Wcd8+Kiopvf/vbJ510Uvs/3/jGN5566qm5d3n55ZeP
O+649b3/eL+pDNQRoWefjWuuiSOOiILBtKoq6uuzLR97bE9N5X5b+Yc/ZCdH2nvvTlOubbddfOtb
0dCQf/cvf7nTd7Rdv4wcNixmzIhrronu33UKmD27t0eEOr4K/da38v+0226xYEGBcT4/+Um28qef
3ukue+yRHblx/fX5DR50UKxdm/lrd5cfKSuL++7LPtxvfxsVFZ0WOPTQTl94d74+dLcG2xGh44/P
rsxBB214+RL2kyJ7bER84APZFlpb46tfLfA6ah/ctXZt5nyGgajJtdd2GrSWd/7l8OGdDq38/e/5
d+84IrRkSXbA23HHZdtsbs62ueuuPR2KKdX+pPjCDtD+pB9bJ1eRs8YV02NLfkSotTVaW+Okkzo9
9Pbbx8KF2WU+8pHCj9LDEaETT8zuG+fOjQkTCrfwvvdlW8g9mLBxjwiNGDEib8xVV+vWrcv7grb3
R4S6OxRT8IjQe97znq7Dz9ra2p599tmlS5cW/NMBBxyQtw55R4Tyvrbv6rHHHiv4XEaOHJk3Cqhn
07q8iqdPn77BR891fZf32S222GLJkiV9PfrRdeuUpLCDhCNCBZXkiFBEfPOb3+x6uPKiiy76/e9/
//LLL+fe/txzz+UdpSmh8vLyvCOxbW1tb3nLW9r/esMNN+St5OEd14EY5AYqCG1wY48YEYsXZ1q+
9daelsx9k25/Jzv77G4X7jpp4B13ZO77z39Gz0foev/NevQlCN11V2bJN76x0+1TpmQ/KXb9mTcv
80vXF+eJJ2YXy41JW2+dnZ77kUeimy/bOr3T33pr4Rm6Z83KLnP33b0qyKAKQsOGxaOPZtbk3nt7
dZcS9pMie+yWW2ZHgq1dG+99b0+P9c53Ri+Hj/e1Jocd1mlgVXc1Ofnk7GJ5b9Id3Tv3DWPMmE7d
L9eiRZnbO6ZNK+3+pCSFHaD9ST96bK4SBqG+9tiSB6H166PgKKD2GTXaf66+uvCjdBeEPve57O23
3x49nEm8447ZJS+9NHv7xg1CH/jAB7p+arzkkkumTZu2yy67nH766atXr+7NR+12XYNQx4eY//3f
//30pz995JFHHn744SeeeOJll122atWq3CBUXl6ed5LSmjVrzjzzzDH/OfV03LhxZ555ZnNzc+4y
d911V9465AWhdj/5yU/e+MY37rzzzl/96lfzQt369esLfjI544wzurbz0EMPnXTSSbvvvvt22223
xx57HHPMMddcc037eLOuQeihhx7Ku/u8efMOPfTQbbfddsqUKd/5zndaW1vzFjjssMNyWzjqqKMK
5qVDDjlk//33/+Y3v5lXjYJbp1SFHSTe/e531+W47LLL8p7+ySefXNfFTr05ZbqPBnkQ2qDq3IPS
2feHYeecc07XnpnnkUceeWPe58xSmzx58qpVq3If9NZbb42ImTNn5q3Mz372s8HZVwvYlNcR6nhr
bGjo6SNF7pv0Bge7d9Vxxu2f/1zKle9lECovj6amWL8+f5q48vJ44IHsKRYnnBCvf32MHBm77x6/
/GWn51vwxXnFFZm/trRkLs86bFj87/9m6zllSrerlHtiRg+nl9x0U3axN71pwwUZVEHoiCOya3LU
URu7nxTZY086KXvfEs4b1teadHzif/HFbufbiIjhw7MJJO9zWEcQyhtd2TGTR+7J6BHZDtzDp/Bi
9iclKewA7U/60WNzlTAI9bXHljwILV7c7dtBx9PsbtxgwSB0zjnZG2+4YcNnkXV8dbV+ffz855kh
0Bs3CM2ePTvvU8UPfvCD3AUKHtboUxBatGjR1EJnkI4ZM+b73/9+xz+POeaYvDt+4hOf6Hqv448/
vudDMV2D0JVXXpm7wM9//vO8Bd71rnflPcqIESO6zu5w6aWXlhU6l3XSpEk33nhj3mq8613vyrv7
vffeu2XnLvGhD30ob5nbbrstd4Hf/e53XTNq7gKHHXZY1+M5eVunVIUdnFxHqF2pglC7vfba68kn
n+zujj/72c96PrOuVD760Y/mPfT73ve+BQsW5N6ycOHCgThPaaBsyiCUOxSk+1MS89+kd965b4/S
MfZsyZIo4TlbvQxCU6dmFvvPgM6OrpS5ffny2HHH/Ht9/esbCEJbbRWPPJJZ4IknYsyYOPvs7F0+
+tFu12fYsOy0VA8/3HNnL3zcqTs//nE8+GD2p/cHZ4cPj+rq2HnnqKzs1QbqzUu941TvxYt7e1Ha
EvaTInvsX/6SHSPUw2uzr/pUk2237cNJ/z/6UbZ0uTqC0Pvf3+n2xx/PzpeQ66qrMrf/938PyP6k
JIUdoP1JP3psrtIGoT712JIHoR76269/nVmmu8srdQ1CP/hB9parrirw0F299a2Zb686pmf429/i
uedi/fp45ztjo8gbaLRy5cqu8+FeddVV/Q5CK1eu7OUlF/OGuzzSTQQdPnx43mxRX/ziF3MX6BqE
OkbUtHvPe96Tt8CHPvShvEc54IAD8paZP39+eY/bNO/Sk5dcckleCwXn17rllltyl1m3bt2EnLGU
eVtn9erVXae5+8Mf/tDz1ilVYUtol112uXBDPtNxHmOPBKF2JQxCn/rUp1asWNHzff/v//5vu41y
JucVV1yR+7h5Q22bm5t7nrBxsBn4yRKmTImDDoo99shcfiR3btzcyQbGjet0lbru3H9/PP5431bg
gQcyxz123DHOPTe++tXYmLPyd5wCkbebO+64zC/nnBNdL1nwne/ERz4Su+zSbbNNTXHUUTFvXowe
HTvtFH/+c/YjyEUXdTtuJCLe+Mbst/t33tnTmuee8tF+0Klnn/tcn4tz2GFx4onxjndkTz1vaoq7
7orrr4/rrivQH4YPjw9/OI45Jt7znp6a3Xff7KneP/xhrFu3KftJX3tseXl2U95zT+YyjsXra01y
B7n1PHI1IvtdwI47xlZbFbgIT95lSTr+mXe2Sccde/jOvt/7k1IVdiD6Sf967ADpxz62tB54oNs/
dQzZ6s1VMoYPj4suiv+cyBuXXhonn9yr2s6fH+99b1xzTaZHjRiRfTncemv8+9/xl7/E7Nnxpz8N
0JYaN25c3kwAN910U0OXkwmvvvrqj/bwnVePLr300qe6m9okx7Bhw/bbb7/cWx577LHujkg8//zz
uXOs7dNDKo5YtWrVw52/iXvmmWfylnld+/wfOQ7smAfoP37wgx/0fL2gvEtPzpgxI/efjz766Lx5
87re6/LLL889HtV+saMbb7wxIsaPH5+3df7v//7vlS7J/Morrzyy+wn9B66wxdhuu+3yTnbv6m9/
+9tPfvKTYOP68Y9/3JvzqQ455JB77713+vTpS/K+lCy1U089db/99usIt3mznnzpS19asGDBZlTe
gQxCBx4YP/hB9HI6816Op+/H6Plf/CJ7jfDPfz4+8Ym44Ya4446499544ok+zFbXPx0f8XOnnSkr
i333jYhYty6uuqrAvdaujauuKjC5Qq5Fi+JTn8pkno6d+/33R8+vlsmTs7//8589Lfncc9HYmJmK
KvdeJbHDDnHVVdH5naD99RTvele8611xwQVxxx1xww2xaFG89FJUVcX++8cxx8Quu8T8+RtovGNu
+5deiu4v3bCR+klfe+z220fH2/9995Ws4H2tSe7h3+99bwMzdOUmkAkTCgShvE8qHf/s7vaClxIq
cn9SqsIORD/pX48dIP3Yx5bWSy91+6eWlswvZWVRXr6BS7v+8peRO7Zq+PA+5Jbbbos3vSnOOitO
OCH/6OKECfHBD8YHPxiPPRaf+tQGvk7ql65XhZ9faKc3f4N7wu7dfvvtvVmspqYmb/7oo4466qje
Dd3sYYRPRDzf5ZuIrvNcdb2Mz2677ZZ3yy233NL7Zz18+PBdOn+9OHfu3IJLdr19t912aw9CXbdO
wSh1b4+vo4ErLIPc2g1dEnp9lzeRj370o3kp6JJLLrngggsWL15cUVHx7ne/+3vf+15Ht6yurv79
738/bdq0tQN57emGhoaPfOQjc+bM6ToY75ZbbuluvsdBa8CC0Be+0LfLaPRyNMjSpX1ek7lz44wz
4kc/ynx22XrrOOGEOOGE9o0ZDz4Yt90WV1wRTz45IHXoCEKrVmVvrKzMfKP51FOdbs/Vmzx9zTVx
wAFx8snZhzj66OxnhYJyT/boMiVovldeyXx2HDu2xGWZNq1ACurUMcsziaivdtkleynYCy6I5uZN
3E/62mNz3x27zu3bP/2oSe5q7L13Hx6r4NlEeR9AO3bQ3d3edcR/8fuTUhW25P2k3z12gPRjH1ta
pZr4NW/vccIJcfvtPR0tz/Pyy/GFL8RXvhIzZsR++8Upp0TefM1TpsRf/xqf+ER0PteleBV503hG
LC20UZYtW9bW1lZe3p838aW928oTuptbrxfGd1wKvJC8AzW9lBceVqxY8e8Nvot1XqW8S5p0PQzV
3e0dD911jOKzzz7btYXnn39+7dq1Zd1ciG/gCssgV11dXfA6Xd0ZPnx47jl7EfHFL36xY+r8lpaW
q6666vbbb58/f/62/7lsw9SpUz/60Y9eWer9Up777rvvK1/5yn93Hse+fPnyj3/84+sH/3zZeUUe
kFaPPDL7qWXt2rjyyjjiiNh++9hqqxg2LPvzsY9l79LL0farV/dnff7nf2LGjLj11vwPXqNHx/Tp
8fWvxz//Gd/8ZgzEVZ86ThfL/XzT8T7Xw9Pp5TPNfRtobi7wZXye3MEGG/zI1fGJpDcDUfrhmWfi
K1+JadNi/PgYNSp23DEOPTR+/OMo9L6S8dRT+SeW5Dn77Mx2bGyM3l3JYWD7SV97bO5noIIza/dD
P2rS5aNYr/coA7BLKcn+pISFLW0/KabHDoT+7WMHp7a2OOus7CDJiy6Kvk6p1NYWd9wR3/1uZmzz
zJlx5JHxpz9l/lpWFpddVvhqwkXoenWd5m721c39jc2NeaNVuzGmh1lSNmRkweO6xcmLiK+++mox
d49Ch6Hatba25o2467hv163TXSM9XMtlsBV2KOl5qORA3HFA7b///rkHIZ988smu5ya98MIL3/nO
d3JvOabrzKsDYOXKlV37fPMm/y6v7wbmiFDH/DarV8chh3Q7/3I/Pl73e0z2XXfFrFmxzTZxwAGx
776x994xbVp2BM6IEXHOObHFFvGlL5W4FB2fKnJ3fB277x72hr3ZUR52WKcV3mabmD07Dj44ejgk
mpuUNjinR8cCpfpEnvNyiS9+MX74w06DW558Mp58Mm6+Oc48M97+9nj/++Pgg2Py5Hjd6+Lll+O+
++L3v4/rrosevkqsrs5eQ+aXv4y+fFk4UP2krz02t9QlyZ/9q0nuJ4yRI6NfX98Orv1JaQtbqn5S
fI8tuU17hlIJNTfHhz4UN9wQixdnoktFRVx7bey77wYOm/fg5Zfjjjuivj6OOSauvDKGDYsRI+Lb
346SXi6jqcv3Wd3Nv9TveZnW9W4r9zIvbTR5J0qN7uMLuWtw6q6AI0aMyDvU1nHfrltny27Oadyy
+3MdB1thh5KGhob+ZcW+5uqNI28yj9tuu63gmLe8MaIbYWrBXXbZpesQuO222+7iiy/uOs3JIDcA
X9/uuWd2GrRvfKOnq9Dknlqwcbz4Ylx3XZxxRkyfHhMmxNFHdxoQf/bZBSZwK1JHYs6dVWb58szH
sh126HbU2Qbn3Nh++8w7cUR2HM6BB27gMo65I/E2eIS94Li+krjppjjvvG6H+K9fH/fcE1/4Qkyb
FpWVseWWsd128f73x1VXbeAT+Wc/m/kw2tZW1MTTG7+fdMg9xf8/R7qL0r+a5K5GDzM6bgSl2p+U
vLAl6Sel6rGDX3eXNRs4Rx4ZN9wQEXHDDdFxRYs994wf/rAEjV91VdTXZ35/17uiy2n9xej6gazg
TFATJ07sbuRVqXQdePaFL3xhWO/0cla6PlnReQaUysrKPo0TW7lyZd6gna4n/HR3e8dDd906eXMn
tKuuru5h1OJgK2y7v/zlLxt89IP6eq3njW5152PaFd2Mbuh6UG71oDwYnncB1hXdTCqWd/uECROG
Dx8+cGu1xRZbXHPNNa8rtN/74Ac/+PGPf3yQd5I8G6pU7oRIvdzn5l6apuOtoqBCFzHYeJqa4ve/
j332iYsuyj7B972vxI/Ssb/LPcFx3bqYMyciYvjwwpdIHz48ep4OaIst4ne/y1wcfeXKOOig7KCa
z3++p68nc09d6GFWuojYbrvsu3sv5hfa9CoqsqdLXXttPP305tRPOjz1VHZSteK/1Ol3TR59tPAr
euMr1f6ktIUtST8ZoB67keV+N9HDnDcb/2uv3EnJzjorHnoo8/upp0b303n1Qcd8A1tsEd18nu6f
ruecFJziee8+nbzXL88//3zeQZid+3oxgJJ67LHHcv85bNiwd/ZlQvN169Yt6ny5i+5mYOt6+6P/
2SV2PX3orYVmVX1rj1OtDrbCDiV5G6i7eZz37DKitbsTxjatls6Hr7fZZpuCi23b+du91tbWdQN5
bP/73//+nt0PCb7gggsG4lK5A2dDQSj3UEAvT+/L/f64hxmxt9wy3vGOTV+A9evjrLOyea/k3/R3
TESb907WMTfUt78dXb/g+fKXY9dde2r2Rz/KnsJ+/PHxzDNxxhnx4IMREcOGxW9+E919abR4cXa0
Xu4UyV3lTlRaxPREG89JJ2UPr3W++OBm0E86tLXFPfdkft9nnyj0XePGqMnf/pb9vefJygdaqfYn
pS1sSfpJCXtsRxrZKBfU6yT381znLy87KfWJNH3T3Bwf/nB2YPBll0XxX6vnfkAp6ZGZlStX5k1m
cOihh3a9Us3Hck+KG6i9UdvdnY/BHnHEEa/rxeGvyoE5jPz33Is6RETE2Wef3fNhsbxRUnd2nuVv
ypQpBUNm3lfa69evv+uuu9p/f+WVV/K2zmGHHda1Jj3PbD7YCjsAL7j8E0WKOS2qT/Imbt5+++0P
7/LV8IgRI07qmFj/P1tk4cKFg7CSL3WeRXPWrFkFr5r6vs5fur388ssDt0qzZs36XOfLpZxxxhnP
Pfdcxz8rKiquuuqq/s3jsklsKAjlXuKmNxeTic7viz182jjuuBgkk580NWVPqin5uRBPPZWZhWmP
PTpdHeW66zKXy6iqijlz4vjjY+utY4st4s1vjksuiW9/u6c2P/Sh6Jjs/4ILMpdQbGmJD34wU/zx
4+O66wrPQbx+ffz1r5nfd9utpy/Rc0+2u+OODT/TCy+MRYuyP918bzFQRoyIjgu93XJLDMQc9gPa
T3Jdd13ml7Ky7MTKG7kmzz8f/3njj098omRjyfqhhPuTUhW2JP2ktD2249uNAQp4Pcg9fLHXXoWX
mTIl3vSm2LQeeyx7aYFx42L27MKhsfdJsuNY5bp1Pc3v0i8dH7vbVVRU5M3OdOihh9bV1W2Esv2p
Y2aIiIjYeuutf/GLX/SQPcaPH3/OOecsXrx4IFbmrrvueuGFF3Jvedvb3vazn/2s4Cig7bbb7qab
bsq7bOt1HTuB//jZz36WdzLPhz70oXd1nnLw9ttvzx3Mlpemxo8f/41vfCP3lunTp2/wNIlBVdiS
63phpXf1Yw7YfpnTPtwmx69+9avp06fnvpouv/zyvI7xwAMPDM6z/PMmZ6+pqfl2l8+Hu+22W95l
du8dsKsgbL311ldccUXu7Iv333//T37yk7POOit3sbe//e1f//rXN4u+milrTc8XWX/66cwFth97
rFdvEgcckL0md3dXwqmtjZUrO13LPPe6JXlyr3p+2ml9fobdvTd3mDUr2/4pp/S22dmzM3fpfKi9
gGuvzSyZ9761yy7x0kudipD7M3du5pe86wLtumu8+mrmT/Pn549FOeaYbAu/+EXh9amryy7zl78U
nuYr90LvhS6SUMAf/9hp/dsv677RHHdc9qEPPrg/LZSwnxTZY7fcMl58MXP3deui5487b397t4cd
iqzJEUdk7/7Xv274HI+DD84/7Ll8eebuecPK77mncHEuvDBz+y9/OSD7k5IUtlT9pPgem+tnP8s0
tXZtf4ZpFdljO/ZjS5YUGB03bFj8+c+dtk7Xbwpzdzg9XC/yO9/pqZGI+MY3NrAL+t3vsgsUvDD8
xz8e9fUFYtvNN3fqV294Q6xalWkn9/BpiRx11FFdLxv/hz/84d3vfvf+++//zW9+s7m5uesCl3dz
Eaqzzjorb8nen2cyatSol156Ke/u8+fP/9jHPrbddtu1fx4aNWrUrrvu+vGPf3z27NntK9Z1Aq6b
b745t4UH28cvdHoR1+Y9yoknnth1fT7/+c93feIPP/zwySefvOeee06ePHnq1Kkf+chHrrzyypaW
lvXr13c9a/yhhx7Ku/t99913+OGHv+ENb3jzm9/8ve99r7W1NW+Bww47bINb5+KLL37rW9+6yy67
nH766atXr97g1ilVYQenPffcM++ptbS0XHTRRZ/4xCfqcgzEAKpRo0atWrWqa/3nzZt39dVX33jj
je2niuX59Kc/3XOz48aNy7vL+QV3IJ2de+65efeq6uGweSHDhw9funRpXiPXXXfdgQceWFNTs+uu
u5555pldn9EJ7Vd0GAA33XRT7gOtW7du3/arYkbccccduX9qa2vLzZ+D2oaDUO5by003xZQpG5gh
d8SI7KeN116LD3wgf4GDD47nnov166OlZWMEoZUr46674rjjosvQgoiIt789li7NNN7a2ofvU3sf
hP7rvzJLdr302667xgMPFEhBP/1pvP/9BYLQVlvFI49kbl+9Ov5zWd9OLrss207Bo/Pl5Z0e9Kqr
8udKPuyweOWV7ALvfW+vCrIJg9CwYdmy9HsUXwn7SZE9NiKOPjrbQmtrfO1rBXLI1lvHeedFS0vh
M15KUpPrr8+uxv33R8Gd2oQJcfLJMW9erF+fnQCtXUmCUGn3J8UXtiT9pCRbJ9dRR3X6DqWvh1+K
7LG//nX27pdf3mk6yjFj4oor8rfOJgxC48bFU09lw3DXYZ8dAfXvf48TT8zuYzuC0LBh8c53Zi6e
2/4zAGO8t9hiiyVLlqzvo4EIQhFx7LHHdveIa9eubc8beQYuCI0aNerBBx/sfU26BqH999+/ra2t
9y1cf/31/dg669atW7t2bc9bpySFHZzKy8uXL1++wdp+tufrv/fXeeed16cXzksvvbTBWTc2VRCK
iNNPP71PT+eZZ57ZoofTNYvwmc98pod9zpvf/Oa8LxGeeuqpsSW/CuVA2HAQqqiIJ5/s9Bl33bpo
a8v8/OEPBe5y6qmdlr/nnjj33PjSl+JHP4r58zM3rlwZ55yzMYJQx2f6116Le++Niy6Kb3wjvvjF
OP/8uOuuWLcu2/j3vle4hbPPjr/+Nf+n40vQpqYCf7344uzdR46MZcsydet63l5ZWRx5ZFx2Wdx2
W9x8c/z4x5khiNtvHyeeGCee2OkzzW9+k13bgrMsRMRWW8XChZllGhqiy6W4IyKmTo2mpmxTK1fG
1VfH978fF1wQ993XadtdcUVv67wJg9Dhh2cft9/zNhbfT0rVY/+zL+9Uz1dfjT/9KX784/je9+Li
i2POnGhtzfyp4Of1ktRk7Nh46KFOq/HPf8avfx3nnhv//d9x+eWxYEGsXZv960AEoZLvT4osbEn6
SUm2Tq4RI2LJkk7Pa9myePjhePDBzE/Pl6Mtsse+7W2dnvhLL8XvfhcXXxw33pg5fP3889ljVps2
CEXEvvtmN/Hy5fmL5R6p6+hajz2W2e6PPZbt1e0/X/vaAO3VjjjiiJ4/7vz2t7995ZVXNkIQiojz
zz+/Tx/FBi4ItS+5bNmyfgehiDjzzDN7efdFixYVvPhpXV1dz3e8+OKLe7N1ii/soHXOOedsqiA0
atSoRYsW9b6qRx999Abb3IRBqLy8/JZbbunlc3nttdcOzD3Bu3R23333vAPRq1atqs6dBizif/7n
f/LW55prrtkMOuuGg1BE7LprdoBc3k/7CSpd/epX3Q76Wr8+XnklZs2KY4/dqEGo559LL+32SNcv
f9mrFnJ/7ruvUwsdb8/33x/9PoHspJOy7ed9UszzpjdFY2NmyUcfLTy16wEHZId2dPdz9dV9WNtN
GIT+/vfsyJx+n7VcfD8pVY/tcPrp8dprG16lgrO6laQmEVFRETfc0Ntun3e4plRBqLT7kyILW5J+
Uqqtk2uPPeKZZ7pdn9mzB7bH/vCHPW2dgw7aQIbZmEEoIr761exif/97p00weXL86lfZ4cc9/Lz6
anzykwO6Y/viF7/Y3cedBQsWjBkzZqMFoYg45ZRTCo7HK6jrtURLGIQiYtKkSffff39v1mT3bia9
/OQnP1nwkEuuO++8s4fJCb72ta91d8eHHnpo3Lhxvdw6RRZ20CorK7vyyis3SRCKiG233faBBx7Y
YD1bW1uPP/743jS4CYNQRIwZM+aGG27Y4NP597///d5eDuHpo1GjRi1cuDDv4c4444y8xcaOHdv1
S4qNMK1LsXoVhCJi9Oj40pfi3nvzPwd0F4Qi4qSTMkNWcn9aW+PGGzOD7zdOEHr3u+OiizqNZMj7
+cc/NjAvVvFBaNy4bJLs3/RQe+0Vzc2ZFhYu3PAJGyec0GnwWzfbPi67rNOhoY6fRx6Jo47q2xpu
qiD09rdnH7RjDol+KL6flKrH5tphh7jkksIfvtesid/9rvBRi1LVJLc4d9wRbW2FK7NgQXzvezFl
Sv69ShiESrg/KaawJeknJd86HcaMidNOi5tuimeeyX4VsnGC0LBh8aUv5T/ounVx662ZCTAHVRAa
Pjxuvz27ZOeLskdEjBoVhx0WP/pR3H57PPdc9nm99losWxa33Raf/3xvp1Etznvf+968UVjr1q37
3e9+1z4H18YMQhExceLE888//4UXXujuc1hDQ8P/+3//79RTT+36aa+0QSgiysrKPv7xjy9YsKDg
mrz66qtXXXXVXj2e0bfTTjtdffXVTU1NXe/+2GOPHXfccRu8EsvRRx/97LPP5t5x7dq11157bftw
oF5unSILO8jtvffeP/jBD+64445nn3129erVecMFBy4IRcTIkSNPPfXUJ554omBJm5qarrrqqild
37a6sWmDULuPfOQj8+bNK/h0Vq9e/dOf/vQNA/a566KLLsp7xEcffbTg/HXHHXdc13XbceAm2i2F
Ye0p6Pnnnx+Q5svLY++9Y489Yvz4WLUqli6Nu+6KgZzXryfV1bH77rHjjjFuXAwfHq++Gk8+GfPn
R+dZaAbKjBnx179mviQ+77zoPMXHprTlljFjRkyeHJWVsWZNvPhi3HNPp8sNDXLXXx/vf39ExPLl
MWlSFP+F2abtJwWVlcVb3xq77hpVVTFqVKxcGYsWxb33RucrUQxgTdqNGRP77x9veENUVma+6X/i
iXjooY33ii75/qSvhS1JPxmgrTMYVFTEwQfH5MlRXh7PPRf33htLlgyRp/bXv8aBB8Zb3xr337/x
H/ztb3/77rvvXlVV9cILL8yZM+fx/1yV4ZVXXskdgn/FFVccd9xxG2F9dt5556lTp1ZVVY0bN27d
unWvvvrq888/v3jx4kWLFm38sVvV1dX77rtvdXX1+PHjW1tbV6xY8eijjz744IO9nARs1KhR06dP
32GHHaqqqtasWfPiiy/ee++9S3rdb4cPHz59+vTddttt3Lhxzz333Jw5c/6VO9fu5lzYIWP77bff
e++9X//6148bN665ufnf//734sWL77333tcGdPbXAbPtttvus88+NTU1HU/nkUceeeCBB/SQ/uvt
ESGK9+UvZ7+DrK8v7TX4ErXzztlzVDajuRrVxNaxdTYv7UeQNu3VkLro/TEHAAoThDaqb34zm4Ua
G+PCC2PmzPwxHjU18V//FZvFVBub3CWXZIu5mVxpTk1sHVtn83PbbbF+fU8XXtsUBCGAIm02V34d
Ir7+9XjkkfjFL6KyMrbaKk49NU49NVpaYtmyWLYsttgiqqszF6888cS47DIF68mwYfGvf8U3vxkR
sWhRrFihJGpi6zAg1q+PiFi3TiUAhhRHhDaBqqr4wQ9i9eqeplu47TZ1AhgUbrkl1q+Pzlej3+Qc
EQIokiNCm8Ly5XH22XHOOfGe98TMmbHnnjF5cowbF8OGxQsvxNNPx1/+EjfeqE4Ag0L7EaH2/wIw
VAhCm86aNfH738fvf68SAIPau9+tBgBDz3AlAAAAUuOIEABsfsaNG6cIAMVwRAgAAEjOsPYp42bN
mlVkQ5WVlbW1tXPnztWIRjSiEY1oRCObpJGIaG5unj17dgCwIZkgtHTpUrUAgM3dihUrqqqq1AFg
gwyNAwAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgB
AADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQI
QgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAg
OYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgA
AEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHLK2//X2NhYZENlZWUjR45samrSiEY0ohGN
aEQjm6SRiGhoaAgAeiEThE477bQiG6qsrKytrZ07d65GNKIRjWhEIxrZJI1ERHNzcwDQC8Nqamoi
YunSpWoBAJu7FStWVFVVqQPABjlHCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQh
AAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAc
QQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAA
JEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgB
AADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkpb/9fY2Nj
kQ2VlZWNHDmyqalJIxrRiEY0ohGNbJJGIqKhoSEA6IVMEDrttNOKbKiysrK2tnbu3LlDo5GIaG5u
nj17ti4yVE2aNGnmzJlFNjJ+/PjJkyfPmTOnyHZaWlrq6+s3+dMZPN1+iD0dBnM/GZJvXvoGQK/U
1NTU1NSsp4vly5frHkNYXV3dUOpspXo6g6TbD7GnQwqvYm9eAJsd5wgBAADJEYQAAIDkCEIAAEBy
BCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAA
kBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQnHIlGDjjxo2r
ra0tspGKiorq6urFixdrJFdra+uCBQsGw1Zua2tbuHBhkY2sXLlSt89VfAtexV7FANAzQWgAHXTQ
QfX19eowEFasWFFVVTUY1mTVqlVTp061RYZqt/cqTuFVDECaDI0DAACSIwgBAADJEYQAAIDkCEIA
AEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmC
EAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOeXt/2tsbCyyobKy
spEjRzY1NQ2NRiKioaGhyBba2toUdmhvnZKsSUkMnqczeLq9V7FXscIC0INMEDrttNOKbKiysrK2
tnbu3LlDo5GIaG5uLrKFhx56qPjCtq/J7Nmzh0aHmzRp0syZM0tSk8GzdQZDYUvydMaPHz958uQP
f/jDRbbzsY99rL6+Xj/xKt4sto43L4B01dTU1NTUrKeL5cuXF1nburq6QbImg8fgqckQ2zqlejq2
jldxglvHmxdAmpwjBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABI
jiAEAAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIA
AJIjCAEAAMkRhAAAgOQIQgAAQHLKlQCKegmVl0+bNq3IRlpbWxcsWDAYnk5bW9vChQuLaaGsrKyl
paXImtTW1upaAMCAEoSgKGPHjp03b16RjaxYsaKqqmowPJ1Vq1ZNnTq1mBbq6urq6+uLrwkAwIAy
NA4AAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAA
JEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgB
AADJEYQAAIDklLf/r7GxsciGysrKRo4c2dTUNDQaiYiGhoYiW2hrayu+sCVZk8Fj8NSkJGuisyms
V7HONqgaGWKdDWBADaupqYmIWbNmFdlQZWVlbW3t3Llzh0YjEdHc3Dx79uxiWpg0adLMmTOL30jF
r8ngMXhqMsTWpCTdfvz48ZMnT54zZ06RK9PS0lJfX2/reBWn89oZYm9eAKmoqampqalZTxfLly8v
srZ1dXWDZE0Gj8FTk6G3Jl47XsVexQyxzgYwoJwjBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABA
cgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEByBCEAACA5ghAA
AJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHLKlWAz2Ejl5dOmTSumhYqKiurq
6sWLF2/yRmpra23QwaytrW3hwoVFNrJy5UqV9CoGgEFOENoMjB07dt68eerARrBq1aqpU6eqg1cx
AAx5hsYBAADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkR
hAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABA
cgQhAAAgOYIQAACQnPL2/zU2NhbZUFlZ2ciRI5uamoZGIxHR0NBQZAttbW0KO7S3zhDrJyV5OiVh
63gV2zqb+6sYYPAbVlNTExGzZs0qsqHKysra2tq5c+cOjUYiorm5efbs2brIUDVp0qSZM2cW307x
/WTixIkzZswofk1aWlrq6+uHxpoMnq3DkH8Ve/MCSFdNTU1NTc16uli+fLnuMYTV1dUNkn5iTQbz
mpDCq9ibF0CanCMEAAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiO
IAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQAgAA
kiMIAQAAyRGEAACA5AhCAABAcsqVoNvSlJdPmzatmBYqKiqqq6sXL16skUHYSG1t7SDpaatWrVqw
YEHx7axcuXLIrIlXsUY2r1cxAJujYTU1NRGxdOlStYB+WLFiRVVVlTqUVl1dXX19vTpAP9gpAfSS
oXEAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAA
IDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEI
AABIjiAEAAAkp7z9f42NjUU2VFZWNnLkyKamJo1oJJ1GIqKhocF+pOTa2trslDSikf6xUwLopWE1
NTURMWvWrCIbqqysrK2tnTt37tBoJCKam5tnz569ybfQxIkTZ8yYUXw7LS0t9fX1m3xNJkyYsNNO
O82bN2+TP52SmDRp0syZM4tvZ5B0tpI8Ha9inS3BzqbbA2yWampqampq1tPF8uXLB8MGqqurGyRP
p1RrYusM+aejn+hsCXY23R5gs+McIQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGE
AACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEBy
BCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJJTrgSD3KpVqxYsWFBkI2VlZS0tLdOmTSumkerq
6scff3zNmjXFNDJ69OhtttlmyZIlm/zpRERra2vxtR0kxo0bV1tbW2Qjxbcw9JSksBUVFdXV1YsX
L7Z1AGDwEIQGuzvuuGPq1KlFNlJXV1dfXz9v3rwi21mxYkVVVdUmr8kQezolcdBBB9XX13u9KCwA
0EuGxgEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGE
AACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEBy
BCEAACA5ghAAAJCc8vb/NTY2FtlQWVnZyJEjm5qahkYjEdHQ0DBkNnNbW1vxm3jw1GTwPJ0htiZe
xUO+sEPsVTzEeqw3L4CNbFhNTU1EzJo1q8iGKisra2tr586dq5HSNhIRzc3Ns2fP1llLa+LEiTNm
zCi+nZaWlvr6+mJamDRp0syZM4tfk+L7yeCpSUmUpLCDZ1cwfvz4yZMnz5kzp5hGJkyYsNNOO82b
N88mHoSb2FsGwMZWU1NTU1OznkFs+fLlOmrJ1dXVDZKtY00G+SbGJrZ1AIYk5wgBAADJEYQAAIDk
CEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAA
IDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQnHIl
SMG4ceNqa2uLb6e1tXXBggWbfE0qKiqqq6sXL15cTCPV1dWPP/74mjVrimmkrKyspaVl2rRpxTRS
kk0TEeXl5UWuyeCpSUk2cakKO3i0tbUtXLiwmBZGjx69zTbbLFmypMg1Wbly5RCrLQAJEoSScNBB
B9XX1xffzooVK6qqqgbDmpRE8U+nrq6uvr5+3rx5g+HpjB07tvg1GWI1GWJWrVo1depUdQCAkjA0
DgAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAk
RxACAACSIwgBAADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEA
AMkRhAAAgOSUt/+vsbGxyIbKyspGjhzZ1NSkkdI2EhENDQ1FttDW1lb8Jh48azLECquz2RVstK0z
xOhs+glAMYbV1NRExKxZs4psqLKysra2du7cuUOjkYhobm6ePXu2LjJUTZo0aebMmcW3M0j6ycSJ
E2fMmFFkIxMmTNhpp53mzZtXZDstLS319fVDY+uUpLAlqckQW5OSdLaqqqpddtll/vz5xTTizQsg
XTU1NTU1NevpYvny5brHEFZXVzeU+kmpns4gqcng2TrWZJB3Nrx5AfSbc4QAAIDkCEIAAEByBCEA
ACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxB
CAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABITrkSdFua
8vJp06YV00JFRUV1dfXixYs1Mggbqa2tHUrdddWqVQsWLCiykdGjR2+zzTZLliwpppGysrKWlpYi
Xzul2jrFv4qrq6sff/zxNWvWFLkmK1euHAybuCRbpyQ1KUlnGzt27A477DCUXsgAbEzDampqImLp
0qVqAf2wYsWKqqoqdehQV1dXX19vEw/trTNIajL0OpseC7AxGRoHAAAkRxACAACSIwgBAADJEYQA
AIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIE
IQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcsrb/9fY2FhkQ2Vl
ZSNHjmxqatKIRtJpJCIaGhrsR3K1tbUNpf3JENvEJdk6g6cmQ6yz6bEAG1kmCJ122mlFNlRZWVlb
Wzt37tyh0UhENDc3z549WxcZqiZNmjRz5szi22lubh4yT2f8+PGTJ0+eM2dOMY1MmDDh4osvnjdv
XpEr09LSUl9fPzQ28cSJE2fMmFFkIxMmTNhpp52KL+zHPvaxIgs7eHpsZWXllVdeOWTed0r45rXJ
ty/A5qGmpqampmY9XSxfvlz3GMLq6uqGUj8p1dMZSi/AwbOJB9XW0WO9eQHQzjlCAABAcgQhAAAg
OYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgA
AEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAAJKdc
CQbOuHHjamtri2ykoqKiurp68eLFGsnV2tq6YMGCQfESKi+fNm3aJq9J8T2tXVtb28KFC4tpYfTo
0dtss82SJUuKXJOVK1cOmV3BqlWriu+uJSlsWVlZS0vLUOqxANBvgtAAOuigg+rr69VhIKxYsaKq
qmowrMnYsWPnzZs3ZAq7atWqqVOn6mCldccddwySqtbV1dXX1w+lHgsA/WZoHAAAkBxBCAAASI4g
BAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACS
IwgBAADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkpb/9f
Y2NjkQ2VlZWNHDmyqalpaDQSEQ0NDUW20NbWprC2TmqFHTxKsonVZMh3e69igGQNq6mpiYhZs2YV
2VBlZWVtbe3cuXOHRiMR0dzcPHv27GJamDRp0syZM4vfSMWvyeAxeGpSkjUZP3785MmT58yZU2Q7
LS0t9fX1NvEgfBWjs21ejUTEry+/vPjaDtO9gBTU1NTU1NSsp4vly5cXWdu6urpBsiaDx+CpSanW
xCZWWHS2waXowq4fAp0DoBecIwQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAA
kBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAE
AAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEByypUAitHW1rZw4cJiWigrK2tpaZk2bVoxjVRUVFRX
Vy9evLjIp9Pa2rpgwYIhs3XKy8sHQ2FtHQAYhAQhKMqqVaumTp1aTAt1dXX19fXz5s0bDE9nxYoV
VVVVQ2brjB07dpAU1tYBgMHG0DgAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAA
gOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQh
AAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSU97+v8bGxiIbKisrGzlyZFNT09BoJCIaGhqKbKGt
ra34wpZkTQaPwVOTIbYmQ6zbD7H9yeDZOkOMzlbQ6yLW6xwAvTCspqYmImbNmlVkQ5WVlbW1tXPn
zh0ajUREc3Pz7Nmzi2lh0qRJM2fOLH4jFb8mg8fgqUlJ1mT8+PGTJ0+eM2dOMY1UVVXtsssu8+fP
12M7TJw4ccaMGUWuxoQJE3baaad58+bZOnpsD7x5AaSrpqampqZmPV0sX768yNrW1dUNkjUZPAZP
TUq1JnqsraMmajLECguQCOcIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAk
RxACAACSIwgBAADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEA
AMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkJxyJdgMNlJ5+bRp04ppoaKiorq6evHixZu8kdra2iG2
ddra2hYuXFhMC2PHjt1hhx302FzV1dWPP/74mjVrimlk9OjR22yzzZIlS2ydwdlji+8nQ29/AsDG
JAhtBsaOHTtv3jx1GJxWrVo1derUYlqoq6urr6/XY/OsWLGiqqpqkz+Xobd1Bk+PtWcDYNMyNA4A
AEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQ
AgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgBAADJ
EYQAAIDklLf/r7GxsciGysrKRo4c2dTUNDQaiYiGhoYiW2hra1PYob11rMlg3sQloZ8M5n6ikcH8
2gEY/IbV1NRExKxZs4psqLKysra2du7cuUOjkYhobm6ePXu2LjJUTZo0aebMmcW3U3w/GTxrMsS2
jv2JTZxgIzobQB/U1NTU1NSsp4vly5frHkNYXV3dIOkng2dNht7WsT+xib15AdAd5wgBAADJEYQA
AIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIE
IQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQ
nHIl6LY05eXTpk0rpoWKiorq6urFixdrZBA2UltbO0j6yeBZk6G3dexPbGIA6M6wmpqaiFi6dKla
AMDmbsWKFVVVVeoAsEGGxgEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQ
AgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgBAADJ
EYQAAIDkCEIAAEByBCEAACA5ghAAAJCc8vb/NTY2FtlQWVnZyJEjm5qaNKIRjWhEIxrRyCZpJCIa
GhoCgF7IBKHTTjutyIYqKytra2vnzp2rEY1oRCMa0YhGNkkjEdHc3BwA9MKwmpqaiFi6dKlaAMDm
bsWKFVVVVeoAsEHOEQIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAA
JEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgB
AADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAcQQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQI
QgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAg
OYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEByytv/19jYWGRDZWVlI0eO
bGpq0ohGNKIRjWhEI5ukkYhoaGgIAHohE4ROO+20IhuqrKysra2dO3euRjSiEY1oRCMa2SSNRERz
c3MA0AvDampqImLp0qVqAQCbuxUrVlRVVakDwAY5RwgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAA
gOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAAJEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQh
AAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgBAADJEYQAAIDkCEIAAEByBCEAACA5ghAAAJAc
QQgAAEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHIEIQAAIDmCEAAAkBxBCAAASI4gBAAA
JEcQAgAAkiMIAQAAyRGEAACA5AhCAABAcgQhAAAgOYIQAACQHEEIAABIjiAEAAAkRxACAACSIwgB
AADJKW//X2NjY5ENlZWVjRw5sqmpSSMa0YhGNKIRjWySRiKioaEhAOiFTBAaPXq0WgAAAIkwNA4A
AEiOIAQAACRHEAIAAJIjCAEAAMkRhAAAgOQIQgAAQHK6BKGGhli/vvDPm9+sXlmzZ2fKsmiRYgBs
et/4RvYN6w1vKGXLN9/sTRBg6HFEiDTU1WU/IdXVqYea2Dr02XDvmABDSnn+Df/4R4walf3n1lvH
brspE5u9s8/O/PL443HDDeqhJkNq65x8clRXR0QsWhSzZyveQBk2TA0AhpSampqamppu/3zUUYbG
FVbk0LhRo+IjH4nLL48FC+KVV6K1NVasiIceip/+NPbZR3VLbPr0bDf+5CfVQ02G2tZ58MHMwn/8
Y9J1G+ihcXvuqW8CDCXlStBPV18dDz4YEbFiRd/uOGJEfO5z8cUvxvjxnW6fMCEmTIi3vCVOPz2u
vz5OOCFeeUWZS+Pzn8/8smxZ/OY36qEmtg59U1YWYWgcwJDjiNBGNWlS3HdfpykoVq2KhQvj9ttj
/vxobs7evnBhvP71ClYCu+4a69ZlqvqlL6mHmgzBreOIULvSHhF605viv/875s/PziHU2hr//nc8
8EBccUUcd1xMmqS3AmzeBKGNp7Y2li7NFHPt2vjVr+LAAzsNOn/d6+L00+OVVzLL/L//5wvIEvjV
rzL1XL06xo1TDzUZgltHEGpXqiA0ZkxccUU2jvbw87GP6bAAmzFBaCOpqIgnnshUcvHi2Hffbpd8
y1tixYrMkkcfrXJF9u9oackU84c/VA81GZpbRxBqV5IgNHp0zJuXbeeFF+KPf8x8h/V//xd/+Uss
X57964kn6rMAm6+BP0dozJh4y1til12isjJGjIjly+Oll+Luu+PFF4ttecst44ADYsqUGD06Xnkl
Hnoo7r472tp6ustWW8Vee8WUKTF+fIwYEa++Gk8/HQsXxhNPDHgdzjsvdtopIuLJJ+OAA+KFF7pd
8uGH45RT4tprIyLOOCOuu25gV2zkyJg+PSZPjqqqWLMmXnwx7r47nn56iHTwz342ttgiIqK1NX78
497ea4D6ST96bLvhw2OvvWLXXaOqKrbaKlaujEcfjXnzoqlp49UkIiZOjH33jerqqKiIf/87/vWv
+Mc/orm5t3ffc8844IBYvz7uvTfuuSd7+0EHxZ57Zm6fM2ej7k+KLOxA9JN+b52B0O8eWxLDhsU+
+8Quu0R1daxenXn0tWsH/HG/852YNi0iYv36OPvs+MlPoq0tbr45amri7LPjkUcynfnYY+P444fI
fhIgWQN1RKi2Nr761Zg7N9raCgwnWLcu5s2LI4/sVVNveEP2jqedFhGxxRbx9a9nh5B1/CxbFmec
UbiRbbeNyy7r9nKxzz8fF1/c0xPcYYduh0b0Zta4GTMyoywaGjJxqGfDhsVjj2UK1TGnwmc+k33Q
7p5mu4kT4+WXs0efxowpvFh1dVx6aTQ2FnhSCxbEEUds9p17zJhYtSrzjK64old3KbKflLDHtps0
KS66KFauLLAyjY1x9dV9nsaqHzWJiCOPjPnzC6/DhRfG1lsXvlfHF+cHHxyXXNLpjr/7XYwYEePH
x9/+1un2P/85Ro4c2P1JSQpbkn7S762Te9yjlz89z6ldTI895JDsX3uY8fI738kuVt7lC7iujRx9
dPzzn/mP/q9/xaxZPT2R3hwROvjg7IZ79tnYdddOf91qq1izJvPXCy7I3l7wgqoVFbH99pv9fhIg
ZQMVhJYt69Xb8403xpZbbqCpvDfp0aPjzjt7arOrffYp/Ikn7+fcc7tdhyKD0K23ZhbumAxqg84/
P3OX3Df+667L3Pjaa/H2txe+Y1lZ/PWvmcXWrImpUwsvtv/+BT7l5P38+teZuZJ6449/7HTf0s5d
2z+f/3zfem/x/aRUPbbdKadkR0n18LP77gNYkzFjMh8Be/hZtqxwbOgIQrfdVuBe55wTf/pTgdu/
+92B3Z8UX9hS9ZN+b52BDkJ96rEDEYR6eIKvvRaHHtqryhTcBb33vdk5aRYvLhBj3vGObAu5O8+C
QQiAzdzAD41raYlHHolHHokVK2LNmhgzJqZMiQMOyAz/OPzw+OMf49BDe/o4mOfXv47998/8vnJl
PPdctLTENtvEdtsVXn78+Ljhhuw5x88/H7feGk8+GS0tMXZs7Lxz7LtvbLvtBh60uTn+9rdOt+y2
W7dfhOfZccc4+OCIiGeeKTDWpbw83v/+eM97YocdorU1Fi6M3/wm7r8/Hn00s0Du3HEnnBBTp0Zt
bYwYEbNnx557Fphi+5xz4sADM7+ffnpmju88u+8et9wSW22V+ecrr8TNN8fTT8fo0bHfftkPtccd
F21tm+tFZrbYIj7zmczv//u/mQEtPShJPylJj2333e/Gl7+c/WdDQ9xxRzz5ZDQ2RlVV7LVX7LVX
ZqaN9pfSQNRkzJj4+99jjz0y/2xtjX/8Ix56KNasiW23jXe8I/M5cptt4vbbY88946mnCrczc2Y8
8EDU10d1dRx/fCarfOUrscUW8fzzceWV0dYWxx0XEydGRHzqU3HOOd2OgCp+f1JkYQeun/R+6zz1
VP7uaNq0eN3rIiJWrCh8x479ycD12FI57LD42tcyO8x//CNWr47tt4+ZMzPdZsSIuOSS2HnnWLOm
zy1/+MNx5ZWZGPbwwzFrVixblr9M+3Vp2z333Ga56wOg9wbqiNCzz8Y118QRR8SoUQX+WlUV9fXZ
lo89tqemcr+t/MMfsucE7713pynXttsuvvWtaGjIv/uXv9zpO9quX0YOGxYzZsQ11xT+Kro7vb+g
asdXod/6Vv6fdtstFiwoMM7nJz/JVv700zvdZY89siM3rr8+v8GDDoq1azN/7e7yI2Vlnabw/u1v
o6Ki0wKHHtrpC+9DDulVQQbbEaHjj8+uzEEHbXj5EvaTIntsRHzgA9kWWlvjq18t8DpqH9y1dm3m
fIaBqMm113YatJY3WfDw4Z0Orfz97/l37zgitGRJdsDbccdl22xuzra56649HYop1f6k+MIO0P6k
H1snV5GTJRTTY0t+RKi1NVpb46STOj309tvHwoXZZT7ykcKP0sMRoRNPzO4b586NCRMKt/C+92Vb
6PgKIBwRAhiiBioIVVVtYIERI2Lx4kzLt97a05K5b9Lt72Rnn93twjvskH/LHXdk7vvPf3Z6Z+2q
99+sR1+C0F13ZZZ84xs73T5lSqfZh/J+OqYt+uxn8xs88cTsYrkxaeuts9NzP/JI9oBPntx3+ltv
LTxD96xZ2WXuvrtXBRlUQWjYsHj00cya3Htvr+5Swn5SZI/dcsvsSLC1a+O97+3psd75zqitHZCa
HHZYp4FV3dXk5JOzix1wQKc/dXTv88/P3jhmTKful2vRosztxxwzIPuTkhR2gPYn/eixuUoYhPra
Y0sehNavj1NOKdBC+4wa7T9XX134UboLQp/7XPb222+P0aO7Xc8dd8wueeml2dsFIYCh6P8DgCUC
ZaTaIiQAAAAASUVORK5CYII=
--=-=-=
Content-Type: text/plain


Note the horizontal lines -- it should be a solid white field.

And with -nw it's just a complete mess:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


I guess...  it's translating all the Unicode characters instead of just
letting the terminal render them?  The terminal does have these
characters; when running the program directly in the shell everything
works fine.

Does anybody know how to make shell-mode (under -nw) just output the
characters?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 16 Jul 2020 17:44:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 16 13:44:17 2020
Received: from localhost ([127.0.0.1]:55900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jw7vd-0003MD-Ax
	for submit <at> debbugs.gnu.org; Thu, 16 Jul 2020 13:44:17 -0400
Received: from black.elm.relay.mailchannels.net ([23.83.212.19]:20334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1jw7vZ-0003M1-PB
 for 42366 <at> debbugs.gnu.org; Thu, 16 Jul 2020 13:44:16 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 3E63E20F37;
 Thu, 16 Jul 2020 17:44:11 +0000 (UTC)
Received: from pdx1-sub0-mail-a74.g.dreamhost.com
 (100-96-9-43.trex.outbound.svc.cluster.local [100.96.9.43])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 4C68420EAF;
 Thu, 16 Jul 2020 17:44:10 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a74.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.8); Thu, 16 Jul 2020 17:44:11 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Ruddy-Abiding: 3f057e8236ddb9bc_1594921450905_3308877501
X-MC-Loop-Signature: 1594921450905:204971965
X-MC-Ingress-Time: 1594921450904
Received: from pdx1-sub0-mail-a74.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a74.g.dreamhost.com (Postfix) with ESMTP id DAFDB7E697;
 Thu, 16 Jul 2020 10:44:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=wY1YRByJj6UdWMEhBNDGWSSyUOI=; b=nyaCehBHHa5SF
 q9cdgsiJSGQU89+itpoQAMgS+JJmfurr+JyJ1bbJJ8StUMA7RiDMWi0nN0q1xyAR
 Mau0DlLmxWCZUabiS1YLgkWEGbc6O4v/0jnv02Gjx7lOa352EeF5tB2XIXUZs8jl
 m+2tZSU20zNfkaRJL6sqfBbCO0xzTY=
Received: from jidanni.org (114-41-18-228.dynamic-ip.hinet.net [114.41.18.228])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a74.g.dreamhost.com (Postfix) with ESMTPSA id 420C87ECC3;
 Thu, 16 Jul 2020 10:44:09 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a74
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN> <m2tuy7sb6w.fsf@HIDDEN>
Date: Fri, 17 Jul 2020 01:44:05 +0800
Message-ID: <87imene4nu.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduiedrfeeggdduudejucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhffffkgggtsehttdertddttdejnecuhfhrohhmpejnnjjnucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqeenucggtffrrghtthgvrhhnpefhuefhueefgfdvkeduheettefffffhteekgeelgeetuddvledvieffleevhfeitdenucfkphepuddugedrgedurddukedrvddvkeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehjihgurghnnhhirdhorhhgpdhinhgvthepuddugedrgedurddukedrvddvkedprhgvthhurhhnqdhprghthheppeeruhhtfhdqkeerueerheeimhfphefnihehhegsveekreepucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqedpmhgrihhlfhhrohhmpehjihgurghnnhhisehjihgurghnnhhirdhorhhgpdhnrhgtphhtthhopeegvdefieeiseguvggssghughhsrdhgnhhurdhorhhg
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "RP" == Robert Pluim <rpluim@HIDDEN> writes:

RP> Using which font on which platform?

Mmmm... the majority.
How about yours. Can you take a screenshot of it, scan it with e.g.,
zbarimg, and have it still be decoded successfully?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at 42366 <at> debbugs.gnu.org:


Received: (at 42366) by debbugs.gnu.org; 16 Jul 2020 15:59:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 16 11:59:29 2020
Received: from localhost ([127.0.0.1]:55790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jw6ID-0000lP-Ha
	for submit <at> debbugs.gnu.org; Thu, 16 Jul 2020 11:59:29 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:41727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1jw6IB-0000lB-Ag
 for 42366 <at> debbugs.gnu.org; Thu, 16 Jul 2020 11:59:28 -0400
Received: by mail-wr1-f49.google.com with SMTP id z15so7582923wrl.8
 for <42366 <at> debbugs.gnu.org>; Thu, 16 Jul 2020 08:59:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=6d9i5viuo4VSTkvr6m6j+vjrOw9y3FrUI3QHFSVYakM=;
 b=SFWHD1Y5ncGVjcNBqcwSxjcz8LhNg/QhUzJBZb3R6TkXC/k/ctPCDsSibu57YA/bF0
 CT/wZvZwA9PQtekFu6AZQapdTcf/b0A1iCK0Cm2lFII98G/J/CAYkYykWcxY3zQA7tKN
 YIbG+p9SHYrqCFiWXlNPbLaQWEE88Aqdvhj1lak8tz/A56zoUXDVmZoaRI5rijBCPwl5
 ihwlccziUpIyP4mD234LSbh8FtSknTQSe01aiLE95+EkgWFXWXKZIHg/V/eB4GXSPTky
 j5hPfm1dk0nzKHaPN/dZ9DxUouC6E60MjcA4EcUr503Bvanpq7QtCOgdfRf/XEJDrQR/
 qHOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=6d9i5viuo4VSTkvr6m6j+vjrOw9y3FrUI3QHFSVYakM=;
 b=UR1Q/ycEjPP3Ag8ILpp99Q/5In8eNg73wpjaV+qW0VWjQlP5quo0gWXZSotgmX5QiZ
 P4PpYD3D/LIX5gQNAsc5GBeQpVjOdI5n5ITd7DMwefu3Y0zGs8hftY260TPo3OZAeQc3
 PeGlJsFiM/inGgRw4HN6IJRqAOt1eMEJsy0MZCkXmR2sJICf6BMAix/X9MnHh4LlvThX
 cyEVLpCQ67KW8c/vKRsLbMXHiLjGDx/AssdZa3uk6ATC6mVpt2vUDL2SnuEdIsfgWGS0
 eV4U60Z/zZy7XPxwbA5IpYCtNwFjrbYKSqOtHNdOBsg8OA9ce7PegcSWkDU9ckyk5ILS
 vHpQ==
X-Gm-Message-State: AOAM530AntKtl28xXzyHa47Qx//sdIFveGAIuM6vAjqEIqdinhHOJFCL
 7JOtmZkeRSbzRCyxiJM6GOW+rWofgd0=
X-Google-Smtp-Source: ABdhPJymWWGWePfhEDUIy0o+mDd3EO76hJo6jpCEr3JWBQoLrBqlMdTSk5ketXVLkBPtKQThICw5QQ==
X-Received: by 2002:adf:fa8f:: with SMTP id h15mr5662241wrr.211.1594915160822; 
 Thu, 16 Jul 2020 08:59:20 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:6c9b:b312:5489:40ad])
 by smtp.gmail.com with ESMTPSA id u16sm9029132wmn.11.2020.07.16.08.59.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Jul 2020 08:59:20 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#42366: UTF8 QR codes vs. emacs
References: <87pn8wx3k2.5.fsf@HIDDEN>
Date: Thu, 16 Jul 2020 17:59:19 +0200
In-Reply-To: <87pn8wx3k2.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Wed, 15 Jul 2020 22:20:45 +0800")
Message-ID: <m2tuy7sb6w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42366
Cc: 42366 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pj4+Pj4gT24gV2VkLCAxNSBKdWwgMjAyMCAyMjoyMDo0NSArMDgwMCwg56mN5Li55bC8IERhbiBK
YWNvYnNvbiA8amlkYW5uaUBqaWRhbm5pLm9yZz4gc2FpZDoNCg0KICAgIOepjeS4ueWwvD4gQ29t
cGFyZSBob3cNCiAgICDnqY3kuLnlsLw+ICQgcXJlbmNvZGUgLXQgVVRGOCB4DQogICAg56mN5Li5
5bC8PiBsb29rcyBpbg0KICAgIOepjeS4ueWwvD4gJCBlbWFjcyAtbncgLWYgc2hlbGwgIyB2cy4N
CiAgICDnqY3kuLnlsLw+ICQgZW1hY3MgICAgIC1mIHNoZWxsDQoNCiAgICDnqY3kuLnlsLw+IEFz
IHlvdSBjYW4gc2VlIGluIHRoZSBsYXR0ZXIgaXQgaXMgcXVpdGUgbWFuZ2xlZCwNCiAgICDnqY3k
uLnlsLw+IHBlcmhhcHMgYmV5b25kIG1hY2hpbmUgcmVjb2duaXRpb24uDQoNClVzaW5nIHdoaWNo
IGZvbnQgb24gd2hpY2ggcGxhdGZvcm0/DQoNClJvYmVydA0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jul 2020 14:21:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 15 10:21:09 2020
Received: from localhost ([127.0.0.1]:53319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jviHV-0000aI-4V
	for submit <at> debbugs.gnu.org; Wed, 15 Jul 2020 10:21:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:43366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1jviHQ-0000a7-Ix
 for submit <at> debbugs.gnu.org; Wed, 15 Jul 2020 10:21:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49010)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1jviHQ-0004S6-Dn
 for bug-gnu-emacs@HIDDEN; Wed, 15 Jul 2020 10:21:04 -0400
Received: from blue.elm.relay.mailchannels.net ([23.83.212.20]:34346)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1jviHN-00028P-7q
 for bug-gnu-emacs@HIDDEN; Wed, 15 Jul 2020 10:21:03 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id DF3C73230FC
 for <bug-gnu-emacs@HIDDEN>; Wed, 15 Jul 2020 14:20:55 +0000 (UTC)
Received: from pdx1-sub0-mail-a55.g.dreamhost.com
 (100-96-21-23.trex.outbound.svc.cluster.local [100.96.21.23])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id E695C3231B0
 for <bug-gnu-emacs@HIDDEN>; Wed, 15 Jul 2020 14:20:51 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a55.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.8); Wed, 15 Jul 2020 14:20:54 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Arithmetic-Whimsical: 56f94636359ce41f_1594822853988_2080447409
X-MC-Loop-Signature: 1594822853988:568934634
X-MC-Ingress-Time: 1594822853988
Received: from pdx1-sub0-mail-a55.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a55.g.dreamhost.com (Postfix) with ESMTP id 518069616D
 for <bug-gnu-emacs@HIDDEN>; Wed, 15 Jul 2020 07:20:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=NCPTrB1CCiRKYOyFcDlcshEG5/Q=; b=FfJl9oHe1168v/V3
 JeBn8LRhztYLXDSaIvaEEAWCa8BVtJHzPn10dCwy0NfZoVLtJqHt2YeFIL8kHGda
 3rnZsFpFqSNglU8grllKjVwTl2tNBE5E7jVF/mrlX3Vjg9icrZrB+VVxU9uK1CQt
 S0QWynJRvaRQBAl8e7v7EW5ZsKo=
Received: from jidanni.org (114-41-20-66.dynamic-ip.hinet.net [114.41.20.66])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a55.g.dreamhost.com (Postfix) with ESMTPSA id 937389615E
 for <bug-gnu-emacs@HIDDEN>; Wed, 15 Jul 2020 07:20:50 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a55
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: UTF8 QR codes vs. emacs
Date: Wed, 15 Jul 2020 22:20:45 +0800
Message-ID: <87pn8wx3k2.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduiedrfedvgdekudcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkfggtgesthdtredttddtjeenucfhrhhomhepnjjnnjcuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqnecuggftrfgrthhtvghrnhepleetffegtdetveekffevffejiedvkeekkeetueektefhgfefjeektddtheeigeffnecukfhppeduudegrdeguddrvddtrdeiieenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehjihgurghnnhhirdhorhhgpdhinhgvthepuddugedrgedurddvtddrieeipdhrvghtuhhrnhdqphgrthhhpeeprehuthhfqdekreeureehiehmpfehnfhiheehsgevkeerpecuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqpdhmrghilhhfrhhomhepjhhiuggrnhhnihesjhhiuggrnhhnihdrohhrghdpnhhrtghpthhtohepsghughdqghhnuhdqvghmrggtshesghhnuhdrohhrgh
Received-SPF: pass client-ip=23.83.212.20; envelope-from=jidanni@HIDDEN;
 helo=blue.elm.relay.mailchannels.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/15 09:02:25
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -30
X-Spam_score: -3.1
X-Spam_bar: ---
X-Spam_report: (-3.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Compare how
$ qrencode -t UTF8 x
looks in
$ emacs -nw -f shell # vs.
$ emacs     -f shell

As you can see in the latter it is quite mangled,
perhaps beyond machine recognition.




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42366; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 6 Aug 2020 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.